commit 766b74881b625e2035aee62980c42ffc4ca0f64f
Author: monsta <monsta@inbox.ru>
Date:   2015-11-30

    Bump version to 1.12.1

M	NEWS
M	configure.ac

commit d998ec6e17201c854d8ae80593b2e6e0d31ccd5e
Author: György Balló <ballogyor@gmail.com>
Date:	2015-11-19

    Install icon into hicolor directory

    msd-xrandr is a custom icon, and it needs to be installed into the
    standard location, otherwise it's missing from icon themes other
    than mate.

M	plugins/xrandr/Makefile.am

commit 44df0632105def86603e9349a64c211496ee2f24
Author: György Balló <ballogyor@gmail.com>
Date:	2015-11-18

    xrandr: Don't remove applet background

    This fixes the invisible text for GTK+ 3 themes which don't support
    mate-panel explicitly. Themes could still overwrite the background
    if they want in the usual way.

M	plugins/xrandr/msd-xrandr-manager.c

commit 30789d5f69a762b66823230851f1e8811c5036f1
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-11-03

    1.12.0

M	configure.ac

commit b10238efbbe46c5a355976882247d35f65ae94b6
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-11-03

    Sync translations with transifex

A	po/hy.po

commit a41903efbefa722d41e12494f5ae0c7283e3f648
Author: monsta <monsta@inbox.ru>
Date:	2015-10-30

    update NEWS for 1.12

M	NEWS

commit ebcc75479ba5ba2765989f264efec51522c2b8f9
Author: monsta <monsta@inbox.ru>
Date:	2015-10-27

    some corrections in NEWS

M	NEWS

commit a22a3dbd0d254c2ac34447ae538c0b296a648869
Author: lukefromdc <lukefromdc@hushmail.com>
Date:	2015-10-14

    GTK3: xrandr tray applet support custom panel themes

    xrandr tray applet (gtk3) support custom panel themes,
    with robust support for transparency in cases where gtk3
    does not correctly detect a compositing window manager

M	plugins/xrandr/msd-xrandr-manager.c

commit 48bc4a303cdd30946451cc9e9ff07cc1f4eca4c1
Author: monsta <monsta@inbox.ru>
Date:	2015-10-14

    corrected comments to mention org.gnome.SessionManager

M	mate-settings-daemon/main.c

commit c859c1568665f705c3bc2e416112ca36c77cb4af
Author: raveit65 <chat-to-me@raveit.de>
Date:	2015-10-09

    release 1.11.0

M	NEWS

commit 0902fc2a7b84ce2446bcbba6681d2d8ded17a380
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:	2014-10-06

    clarify "power" key bindings logic

    historically "power" key bindings calls shutdown dialog but described
    as logout. this is confuses users.
    updated "power" key bindings description
    provided additional "logout" key bindings

M	data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in
M	plugins/media-keys/acme.h
M	plugins/media-keys/msd-media-keys-manager.c

commit bf04794b99e7248af922b3a5c95a7446ff6571e9
Author: infirit <infirit@gmail.com>
Date:	2015-09-08

    define max/min version of GLib

M	configure.ac

commit 36aaf5759c1beececce2b161b47de7c6337bb279
Author: infirit <infirit@gmail.com>
Date:	2015-09-08

    Rework gsettings schema building

    * Bump intltool required version for gsettings support
    * Extract strings with intltool directly
    * Let autoconf generate the xml files

M	configure.ac
M	data/Makefile.am
R051
data/org.mate.SettingsDaemon.plugins.a11y-keyboard.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.a11y-keyboard.gschema.xml.in
R051
data/org.mate.SettingsDaemon.plugins.a11y-settings.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.a11y-settings.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.background.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.background.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.clipboard.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.clipboard.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.datetime.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.datetime.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.housekeeping.gschema.xml.in
D
data/org.mate.SettingsDaemon.plugins.housekeeping.gschema.xml.in.in
R050	data/org.mate.SettingsDaemon.plugins.keybindings.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.keybindings.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.keyboard.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.keyboard.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in
D	data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in.in
R050	data/org.mate.SettingsDaemon.plugins.mouse.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.mouse.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.mpris.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.mpris.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.smartcard.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.smartcard.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.sound.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.sound.gschema.xml.in
R051
data/org.mate.SettingsDaemon.plugins.typing-break.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.typing-break.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.xrandr.gschema.xml.in
D	data/org.mate.SettingsDaemon.plugins.xrandr.gschema.xml.in.in
R050	data/org.mate.SettingsDaemon.plugins.xrdb.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.xrdb.gschema.xml.in
R050	data/org.mate.SettingsDaemon.plugins.xsettings.gschema.xml.in.in
data/org.mate.SettingsDaemon.plugins.xsettings.gschema.xml.in
R054	data/org.mate.applications-at.gschema.xml.in.in
data/org.mate.applications-at.gschema.xml.in
R052	data/org.mate.font-rendering.gschema.xml.in.in
data/org.mate.font-rendering.gschema.xml.in
R054	data/org.mate.peripherals-smartcard.gschema.xml.in.in
data/org.mate.peripherals-smartcard.gschema.xml.in
A	data/org.mate.peripherals-touchpad.gschema.xml.in
D	data/org.mate.peripherals-touchpad.gschema.xml.in.in
M	po/POTFILES.in

commit 2db7cc811d771c2f2dd5ee9b0cbb6be1f6401170
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-04

    Switch to org.gnome.SessionManager

M	mate-settings-daemon/main.c
M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c
M	plugins/background/msd-background-manager.c
M	plugins/smartcard/msd-smartcard-plugin.c

commit edda5db43f885779f7f68aa6743852490e625c7e
Author: infirit <infirit@gmail.com>
Date:	2015-09-04

    First dev release bump

M	configure.ac

commit 82bd2ce081611afdc6a01696c5207761d4252941
Merge: 8318645 34274aa
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-04

    Merge pull request #115 from monsta/fixes

    a couple of fixes from upstream

commit 34274aa8258af8c41cc1b634604bf772990e120d
Author: Monsta <monsta@inbox.ru>
Date:	2015-09-04

    mouse: fix memleak

    adapted from
    https://git.gnome.org/browse/gnome-settings-daemon/commit?id=5ee48ce8aa66f6c4fdc4aa2c07bc03bdb83bcb65

M	plugins/mouse/msd-mouse-manager.c

commit 7f42922169aed34f20233596a7657a00c14c9206
Author: Monsta <monsta@inbox.ru>
Date:	2015-09-04

    mouse: use syndaemon -K to ignore Ctrl+C and other combos

    adapted from
    https://git.gnome.org/browse/gnome-settings-daemon/commit?id=d8e4167a257d253c0f02cb50d170b26ab57fb5be

M	plugins/mouse/msd-mouse-manager.c

commit 831864565477ca67cce653e6b15c758776260f4e
Merge: 22c4c4d f40328f
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Merge pull request #114 from clefebvre/master

    Touchpad: Added support for natural scrolling (along with minor
    chang…

commit f40328fdc38313b535d14202b87f517117f845c4
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Touchpad: Added support for natural scrolling (along with minor
    changes to fix a few warnings and make var names more consistent
    with one another)

M	data/org.mate.peripherals-touchpad.gschema.xml.in.in
M	plugins/mouse/msd-mouse-manager.c

commit 22c4c4d35b4158d0448e731779ea8a9cc8125d50
Merge: 33cb903 dbc59a2
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Merge pull request #113 from clefebvre/master

    Touchpad support improvements

commit dbc59a272ca033652402d5cf3ade7ca11cab0027
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Touchpad support: Fixed default value for tapping when configuration
    is outside of bonds, fixed typo in settings description

M	data/org.mate.peripherals-touchpad.gschema.xml.in.in
M	plugins/mouse/msd-mouse-manager.c

commit e1becf4e7b72d5ec3b915e7922b81f4e25c03f1b
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Refactored mouse plugin a bit (tap actions used to instantiate a
    gsettings object for every device)

M	plugins/mouse/msd-mouse-manager.c

commit f113d3892ea59540b5145b0346111e815a5eeb3e
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Touchpad support: Added support for two and three finger clicks

M	data/org.mate.peripherals-touchpad.gschema.xml.in.in
M	plugins/mouse/msd-mouse-manager.c

commit 7a7d30815eab10d6a81d38bdbcc6088470984a67
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:	2015-09-03

    Touchpad settings: Affect right-button to 2 finger tap and
    middle-button to 3 finger tap by default (consistent with 2 finger
    clicking and settings in other DEs)

M	data/org.mate.peripherals-touchpad.gschema.xml.in.in

commit 33cb903ed570fd22a567af70601b17f474921f20
Author: mc-jesus <hros_the_boss@hotmail.com>
Date:	2014-11-20

    Mouse manager now reads settings for touchpad mappings

M	plugins/mouse/msd-mouse-manager.c

commit ed558543f6ddc556c493c2a3c4a2d59d08c22261
Author: mc-jesus <hros_the_boss@hotmail.com>
Date:	2014-11-20

    dconf-settings for 1/2/3 finger tap button mappings

M	data/org.mate.peripherals-touchpad.gschema.xml.in.in

commit cafa9b4b2f9dabbe069f42158c74cc001c4d9ca0
Author: infirit <infirit@gmail.com>
Date:	2015-08-27

    Define max/min version of GLib

    This warns us of using symbols like g_assert_null not available
    in GLib 2.36

M	configure.ac

commit 7debab2d7074cd7a12362afd78cd7b1b3b16ac04
Author: Monsta <monsta@inbox.ru>
Date:	2015-08-18

    keyboard: connect to libmatekbd's GSettings before reading them

    the notorious GLib >= 2.43 issue...

M	plugins/keyboard/msd-keyboard-xkb.c

commit 3ea2c455d7adc3ca33a855d4f73e7a1a3b80f952
Author: Monsta <monsta@inbox.ru>
Date:	2015-08-18

    keyboard: rename variable to better match libmatekbd stuff

M	plugins/keyboard/msd-keyboard-xkb.c

commit 56fa568901afb5d0024fbc871f6d1b5d7b7ae3a9
Author: Monsta <monsta@inbox.ru>
Date:	2015-08-07

    a11y-keyboard: drop deprecated property from ui file

M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.ui

commit e1f00a2c7283d65c2f7b96497177e6d84943d1b3
Author: Monsta <monsta@inbox.ru>
Date:	2015-07-28

    keyboard: remove XFree86 4.3.0 check which is from stone age

    from
    https://github.com/GNOME/gnome-settings-daemon/commit/ed3bb1700ecc85950a685546fddac43aedd5e979

M	plugins/keyboard/msd-keyboard-xkb.c

commit 296d56a0ec991c835ad15214663a140da79430d1
Author: Monsta <monsta@inbox.ru>
Date:	2015-07-28

    mouse: use event driven mode for syndaemon, save some power

    from
    https://github.com/GNOME/gnome-settings-daemon/commit/f7071bf1f9941f0ba5fe23c645656e70fb2dd699

M	plugins/mouse/msd-mouse-manager.c

commit f47b729b5b21a7eb5abda66c0db6bea1f554390c
Author: Monsta <monsta@inbox.ru>
Date:	2015-07-28

    housekeeping: don’t monitor fdescfs (special FS in FreeBSD)

    from
    https://github.com/GNOME/gnome-settings-daemon/commit/f6ca3147e5ce2319c167cb77af06f116e2f20a7e

M	plugins/housekeeping/msd-disk-space.c

commit ee767d87a86bc654b67fbaf4575e87250cb043e0
Author: Monsta <monsta@inbox.ru>
Date:	2015-07-28

    a11y: don't use ancient properties (deprecated in GTK+ 2.22)

M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c

commit f10a78f1571e87dcf41105a30c408ef548919bb4
Author: Monsta <monsta@inbox.ru>
Date:	2015-07-28

    smartcard: return proper type

M	plugins/smartcard/msd-smartcard-manager.c

commit 974d9c099bcdcaa85c71bfafdc1ca7692ab26457
Author: Monsta <monsta@inbox.ru>
Date:	2015-07-13

    Bump version to 1.10.1

M	NEWS
M	configure.ac

commit d0c03fd80a91353cf06a4393a2008a986182ce23
Author: infirit <infirit@gmail.com>
Date:	2015-06-30

    mate-settings-daemon: Remove trailing whitespace

M	data/mate-settings-daemon.1

commit 956c3a327dd5a1a3ae24b5e5adfff549ac3c752f
Author: infirit <infirit@gmail.com>
Date:	2015-06-30

    Add man pages from Mike Gabriel (sunweaver)

    closes #108

M	data/Makefile.am
A	data/msd-datetime-mechanism.1
A	data/msd-locate-pointer.1

commit a145189cdf876707edde66af27b480de5a94951e
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:	2015-06-17

    Typo fix in debug message

    Closes https://github.com/mate-desktop/mate-settings-daemon/issues/107

M	plugins/smartcard/msd-smartcard-manager.c

commit 635c0367fcf70d1ea2ebe771ca7ed8c9dd0da286
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2015-06-12

    Sync translations with transifex

M	po/es.po
M	po/id.po
M	po/ro.po
M	po/ru.po
M	po/uk.po

commit f4e47f6592311dc45e48a46e65dbb2ab5415727e
Merge: 86c9bfb 395263e
Author: Martin Wimpress <code@flexion.org>
Date:	2015-06-09

    Merge pull request #104 from PoZitron/master

    fix mpris plugin "vanish" function

commit 395263ea04514a37a93ff676001eb211149e4b52
Author: Dmitriy <home@local>
Date:	2015-05-23

    fix mpris plugin "vanish" function
    See bug #75

M	plugins/mpris/msd-mpris-manager.c

commit 86c9bfbe92e236d1c2318096bb791af06a0806a7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2015-04-07

    Bump version to 1.10.0

M	NEWS
M	configure.ac

commit f7b57375b2143d77f79c237dd92b77f320bc9797
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2015-04-07

    Sync translations with transifex

M	po/LINGUAS
M	po/am.po
C093	po/am.po	po/ky.po
M	po/sk.po

commit 3495607009f4c0d7f28fde9314d0bfe4e074a8e4
Author: Monsta <monsta@inbox.ru>
Date:	2015-03-11

    changed the reaction to numlock state to avoid eating 100% CPU

    credits to @nileshgr for the patch

    Closes https://github.com/mate-desktop/mate-settings-daemon/pull/98

M	plugins/keyboard/msd-keyboard-manager.c

commit ab871a72f12df210f3cfe393e65e71d0b79ac965
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2015-02-25

    Bump version to 1.9.90

M	NEWS
M	configure.ac

commit 46f3411f843b502b07d616cd81d72c172507bfaf
Author: Monsta <monsta@inbox.ru>
Date:	2015-02-18

    xsettings plugin: first connect to settings, then read them.

    fixes the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619

    Closes https://github.com/mate-desktop/mate-settings-daemon/pull/95

M	plugins/xsettings/msd-xsettings-manager.c

commit 03c04e009fa73e43763b7e9f91031a2d3c1f5407
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2015-02-25

    Sync translations with transifex

M	po/de.po
M	po/pt.po

commit 3ec6f8a6690e147b485ca66f49dfcfa7a261dc83
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2015-01-20

    Sync translations with transifex

M	po/en_GB.po
M	po/es.po
M	po/fi.po
M	po/hr.po
M	po/ro.po
M	po/sr.po

commit 94e03dd962365889b1f5cc719a7fbc9c3c25b981
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2015-01-20

    Bump version to 1.9.6

M	NEWS
M	configure.ac

commit 7eb8e4d847aa68c9eae529ddb79af6a62f42e445
Author: Monsta <monsta@inbox.ru>
Date:	2015-01-03

    background plugin: safer access to list element's data

    g_list_nth_data just returns NULL if either list or element is NULL

    Closes https://github.com/mate-desktop/mate-settings-daemon/pull/91

M	plugins/background/msd-background-manager.c

commit 78a42e68dbd352db38a8ffd260a0a5e960355183
Author: Monsta <monsta@inbox.ru>
Date:	2015-01-02

    a11y-keyboard: fix crash

    fixes https://github.com/mate-desktop/mate-settings-daemon/issues/70

M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c

commit 62f256795823995becd16dd51bacfd0f76c2afd9
Author: Monsta <monsta@inbox.ru>
Date:	2015-01-12

    xrandr: use mate_gdk_spawn_command_line_on_screen always

    Closes https://github.com/mate-desktop/mate-settings-daemon/pull/93

M	plugins/xrandr/msd-xrandr-manager.c

commit aeca00c1e9c995ca2a3969a12cb93d2e08d694aa
Author: Monsta <monsta@inbox.ru>
Date:	2015-01-03

    housekeeping plugin: add missing dollar sign in Makefile.am

    Closes https://github.com/mate-desktop/mate-settings-daemon/pull/92

M	plugins/housekeeping/Makefile.am

commit 1f1e109fdedfef960b0708e63aef692a8b3f8a50
Author: monsta <monsta@inbox.ru>
Date:	2014-12-18

    remove erroneous code

M	mate-settings-daemon/mate-settings-manager.c

commit 290f33c3711bb2fecc51d026a05fb13d3f3df92e
Author: monsta <monsta@inbox.ru>
Date:	2014-12-18

    fix paths in .pc file

M	data/mate-settings-daemon.pc.in

commit 53e5977084918ba34ca15d25670889201f9355e4
Author: infirit <infirit@gmail.com>
Date:	2014-12-16

    Revert "Add back Glib 2.32 support"

    This reverts commit 602945c084d45bd3858e564e03a70a2a361a5756.

M	configure.ac
M	plugins/housekeeping/msd-housekeeping-manager.c

commit 602945c084d45bd3858e564e03a70a2a361a5756
Author: infirit <infirit@gmail.com>
Date:	2014-12-16

    Add back Glib 2.32 support

M	configure.ac
M	plugins/housekeeping/msd-housekeeping-manager.c

commit 83fe1f587f5c6328b10a899a880275d79bf88921
Author: infirit <infirit@gmail.com>
Date:	2014-12-15

    Bump mate-desktop required to version 1.9.4

    The materr* changes are not in mate-desktop 1.9.3 yet.

M	configure.ac

commit fbd06f59d4bc1407108f5b6f060ea4dffaf56032
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    Sync with GSD: Use MIME types for schemes, not GConf

    Take the improvement from GSD
    Commit: 3e4dbcd54412a58d7e6ebde58f191d2a001518b8
    From: Rodrigo Moya <rodrigo@gnome-db.org>

M	plugins/media-keys/msd-media-keys-manager.c

commit 723f821493aeedac089d1905b3d5487b0968c5b7
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    media-keys: Add support for more multimedia keys

    Add support for FastForward, Rewind, Repeat and Shuffle
    multimedia keys.

    Taken from GSD commits:
    338a2db55d96304ebeedcb3e6f87b88ffa3b7828
    b4cb0dc3c936336ffba65c50f737cffe9bf79cbe

    From: Bastien Nocera <hadess@hadess.net>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=539915

M	plugins/media-keys/acme.h
M	plugins/media-keys/msd-media-keys-manager.c

commit ecd6cb8c49b07e7fe141205c8da677aed1ad3fb1
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    media-keys: Add ability to hard-code keys

    This would be used for keys that we don't want to export
    to the user-interface, such as some display or touchpad keys.

    Taken from GSD commit: 37806fbb00087e44dd66a19efacd5eba4441bfc9
    From: Bastien Nocera <hadess@hadess.net>

M	plugins/media-keys/acme.h
M	plugins/media-keys/msd-media-keys-manager.c

commit 5f721f4f9ae4c95cf02e25e988e32b98dd653a87
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    Enable maintainer mode

M	configure.ac

commit 565648f153792a7dea29334d04550228dacad36d
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    xrdb: Use sysconfdir for .ad files, since they are settings

    Taken from GSD commit: 7004dce9b430069ec96f307b84dc5d9289e3c29c
    From: Rodrigo Moya <rodrigo@gnome-db.org>

M	plugins/xrdb/Makefile.am
M	plugins/xrdb/data/Makefile.am
M	plugins/xrdb/msd-xrdb-manager.c

commit f228d752968a3f0b607a41eed9dfb7630e1da073
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    media-keys: Show a touchpad-disabled if no touchpad

    hen pressing the touchpad button on the keyboard, and
    there's no touchpad present, don't show a wrong state
    for the touchpad status, but always show a "touch disabled"
    popup.

    Taken from GSD commit: ab4ac947c66c232afcb874ac36bece6e652ed3cc
    From: Bastien Nocera <hadess@hadess.net>
    Gnome bug: https://bugzilla.redhat.com/show_bug.cgi?id=614213

M	plugins/media-keys/msd-media-keys-manager.c

commit 420c17e9df0fe75f74b13f9d0caa91e764780c4b
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    mouse: Move "has touchpad" function to common

    So it can be reused. This also fixes a memory leak in the function.
    We were leaking the device list

    Taken from GSD commit: f6dcba4e954f3e910854f3c92fb69b157683267d
    From: Bastien Nocera <hadess@hadess.net>

M	plugins/common/Makefile.am
A	plugins/common/msd-input-helper.c
A	plugins/common/msd-input-helper.h
M	plugins/mouse/Makefile.am
M	plugins/mouse/msd-mouse-manager.c

commit 5561f9707602bca1e768a58f9c2ff30d70586ead
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    xsettings: Make fontconfig a hard dependency

    It's required lower down the GTK+ stack on Unices anyway, so there's
    no point in making it an option.

    Taken from GSD commit: f6257d7e81aaa79dcd7430c0de092145f64f6146
    From: Bastien Nocera <hadess@hadess.net>

M	configure.ac
M	plugins/xsettings/Makefile.am
M	plugins/xsettings/msd-xsettings-manager.c

commit fc2923e36d4ac7a3ec2cf848e168d82cf77c0b16
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    unneeded debug removed

    It was necessary long ago, when stdout was hard to get from m-s-d

    Taken from GSD commit: 950112d2d077450aa9c4ca60fb03a61bfacf43c7
    From: Sergey V. Udaltsov <svu@gnome.org>

M	plugins/keyboard/msd-keyboard-xkb.c

commit 11444836c67e6a34e58cf03847e45a5d0a209032
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    housekeeping: Fix compile-time warning

    Taken from GSD commit: 5fec0799987ef93077c1d823eb2e7bb9e95dc976
    From: Bastien Nocera <hadess@hadess.net>

M	plugins/housekeeping/msd-ldsm-trash-empty.c
M	plugins/housekeeping/msd-ldsm-trash-empty.h

commit c51b75b6f92347214e601501212fc7269f6085af
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    xsettings: Export Xft.lcdfilter for OO.o's benefit

    Export Xft.lcdfilter legacy setting for the benefit of OpenOffice.org
    which doesn't follow the other fontconfig settings.

    Taken from GSD commit: 6cf315249ab27d4396b0f5b5edb1e689a5cafc68
    From: Chris Coleman <chrsclmn@gmail.com>
    gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=631924

M	plugins/xsettings/msd-xsettings-manager.c

commit b08893a4d4e65385ca11c4dae21b869f31048627
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    xrandr: Add icon to the "Keep settings" dialogue

    Taken from GSD commit: 6cd5f46fcb6d0580e541f8d462a1a61e5f0150a3
    From: Bastien Nocera <hadess@hadess.net>

M	plugins/xrandr/msd-xrandr-manager.c

commit f8f216bf7cb0893a2c3a716d070899e39242203a
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    housekeeping: Use void when no parameters to function

    Based on GSD commit: 826de890a80692da47721191e4e58b171691f81e
    From: Bastien Nocera <hadess@hadess.net>

M	plugins/housekeeping/msd-ldsm-trash-empty.c

commit 8250785188a018fcbc1bb0f5562f531ce4226c60
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    mouse: Check for touchpad before running syndaemon

    This avoids error messages from syndaemon:
    Unable to find a synaptics device.

    Taken from GSD commit: fd4722b40351a3bfc1793fb4ec56e8a5a406786a
    From: Hernando Torque <pantherchen@versanet.de>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=632122

M	plugins/mouse/msd-mouse-manager.c

commit 29167526d43aba53f4b9c176bb2e95f025b9cc4b
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    msd-osd-window: Remove unused variable

M	plugins/common/msd-osd-window.c

commit 1b4adb02f594d8453f753f14173744d28f780f15
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    Gtk3: Fixup draw-event handling

    Missing bits taken from GSD commit:
    0d114cf6f19f3ae0d3e73e2b38c5bd1fd495e390

    From: William Jon McCann <jmccann@redhat.com>

M	plugins/common/msd-osd-window.c

commit 6486a2a79e4faf2bbad5bdb36ff48c6dc444b081
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    housekeeping: More network filesystems not to monitor

M	plugins/housekeeping/msd-disk-space.c

commit f307b35694753bda6edcd299bf8c28d32b25836d
Author: infirit <infirit@gmail.com>
Date:	2014-12-13

    Support the Gtk/AutoMnemonics X setting

    Taken from GSD commit: f8d7e4124d269200708a2f7259a0e629726c5785
    From: Matthias Clasen <mclasen@redhat.com>

M	plugins/xsettings/msd-xsettings-manager.c

commit 10ad1de3a2f14b276f61ca1ac9ba0c74d2b158f9
Author: infirit <infirit@gmail.com>
Date:	2014-11-30

    Update NEWS

M	NEWS

commit 0350ca08f69809e9ef7284c9b56bbb0865d69fa8
Author: infirit <infirit@gmail.com>
Date:	2014-11-08

    Connect to the right signal name

    Based on gnome-settings-dameon commit:
    107f7cdea4bcc508622e040d22e43a9e65574401
    From: Emilio Pozuelo Monfort <pochu27@gmail.com>

M	plugins/xrandr/msd-xrandr-manager.c

commit 2767798081724f7617d9fed75ecda56e07e7111b
Author: infirit <infirit@gmail.com>
Date:	2014-11-08

    XRandR plugin: cope with rename of get_active and get_connected

    Now the methods are called is_active and is_connected

    Based on gnome-settings-daemon commit:
    68ff8cf63cea899b45d0ffb6950fdcc28d71fffd (patch)
    From: Giovanni Campagna <gcampagna@src.gnome.org>

M	plugins/xrandr/msd-xrandr-manager.c

commit 678713889797542419989e9cc9153feca7baebc2
Author: infirit <infirit@gmail.com>
Date:	2014-07-12

    xrandr: Only connect to MateRRScreen's signal after checking it's
    not NULL

    Taken from gnome-settings-deaemon
    commit:9b1fd55f4e65cad07a3f39de441aca53e34e7473
    From: Rodrigo Moya <rodrigo@gnome-db.org>

M	plugins/xrandr/msd-xrandr-manager.c

commit 2fcec22d1494b0cfb6a45dfb556847f22edec1ac
Author: infirit <infirit@gmail.com>
Date:	2014-07-09

    Adapt to API changes in MateRRScreen

    Based on gnome-settings-daemon commit:
    3d4bb7d247ac1d70840cd7ea7247263d3f590d9f
    From: Giovanni Campagna <gcampagna@src.gnome.org>

    - mate_rr_screen_new has lost the callback parameter, replaced by
    "screen-changed" signal
    - mate_rr_screen_destroy is gone

M	plugins/xrandr/msd-xrandr-manager.c

commit 849d1330149a0429bda6944a2daf0390cfae583e
Author: infirit <infirit@gmail.com>
Date:	2014-07-09

    Adapt to mate-desktop API changes

    Based on gnome-settings-daemon commit
    8fb7dd9c4dc6da34b4b2961c6212b91d6342152a
    From: Giovanni Campagna <gcampagna@src.gnome.org>

    MateRRScreen, MateRRConfig and MateRROutputInfo have been turned
    into GObjects. Adapt to that.

M	plugins/xrandr/msd-xrandr-manager.c

commit 2d1ef43c9ba6e41a173dff81485441613cf518b6
Author: monsta <monsta@inbox.ru>
Date:	2014-11-02

    fix possible dereference of NULL pointer

M	plugins/xrandr/msd-xrandr-manager.c

commit 1d568e8f925a24a88422e74afc65405fbf171e3a
Author: monsta <monsta@inbox.ru>
Date:	2014-11-02

    init var properly (g_free will be happy)

M	plugins/smartcard/msd-smartcard-manager.c

commit eb0515688e368e97fdf93b1083b233f0ae732948
Author: monsta <monsta@inbox.ru>
Date:	2014-11-02

    don't leak memory

M	plugins/xsettings/msd-xsettings-manager.c

commit 5456636eee15246e2e061633c8601daf1bc04b07
Author: monsta <monsta@inbox.ru>
Date:	2014-10-28

    zero-init another signals array

M	plugins/smartcard/msd-smartcard.c

commit b117f07c53960be7c8acbc014cba29eb99a51cbf
Author: monsta <monsta@inbox.ru>
Date:	2014-10-28

    zero-init signals array

M	plugins/smartcard/msd-smartcard-manager.c

commit b670f81c40faf743ec1dcd41e4d7e5acc8e8a473
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-11-19

    Bump version to 1.9.5

M	NEWS
M	configure.ac

commit 2bd52075a48cb4af99c64ae92ad96eef2b269f06
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-11-10

    Bump version to 1.9.4

M	NEWS
M	configure.ac

commit 5eb5f4b00604a2aba7fc3c8a7c76f979c9759d1f
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2014-11-10

    Sync translations with transifex

M	po/de.po
M	po/kk.po

commit 4cb2701b4996045171c4ba67400be0f528d76505
Author: infirit <infirit@gmail.com>
Date:	2014-11-03

    a11y-settings: Monitor gnome schema keys instead of MATE's

M	plugins/a11y-settings/msd-a11y-settings-manager.c

commit d0f277bf02655db7e35946b82176a1b5ffe6819b
Author: infirit <infirit@gmail.com>
Date:	2014-11-03

    a11y: Use gnome a11y schema to enable applications

    For example when we toggle screen-reader-enable in the gnome schema
    orca will turn on and off even under MATE.

M	plugins/media-keys/msd-media-keys-manager.c

commit b42e0ce69a7f232d4c29de284bd0b3ca4a38555d
Author: infirit <infirit@gmail.com>
Date:	2014-11-02

    Add a11y-settings plugin

M	configure.ac
M	data/Makefile.am
A
data/org.mate.SettingsDaemon.plugins.a11y-settings.gschema.xml.in.in
M	plugins/Makefile.am
A	plugins/a11y-settings/Makefile.am
A	plugins/a11y-settings/a11y-settings.mate-settings-plugin.in
A	plugins/a11y-settings/msd-a11y-settings-manager.c
A	plugins/a11y-settings/msd-a11y-settings-manager.h
A	plugins/a11y-settings/msd-a11y-settings-plugin.c
A	plugins/a11y-settings/msd-a11y-settings-plugin.h
M	po/POTFILES.in

commit b8e3a26d0975cb43cb5a315bceaf581f6ea2a5a8
Author: infirit <infirit@gmail.com>
Date:	2014-11-02

    a11y-keybindings: Move to media-keys plugin

M	data/50-accessibility.xml.in
M	data/Makefile.am
M	data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in.in
D	data/org.mate.keybindings.gschema.xml.in.in
M	plugins/media-keys/acme.h
M	plugins/media-keys/msd-media-keys-manager.c
M	po/POTFILES.in

commit af56e3974762769171f51378fde8cb63da5db1fd
Author: infirit <infirit@gmail.com>
Date:	2014-10-28

    Require mate-desktop 1.9.3

    We depend on new keys in commit
    96de90af074a934129225ebf0e51764affef53ef

M	configure.ac

commit 96de90af074a934129225ebf0e51764affef53ef
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:	2014-08-17

    configure gtk settings gtk-dialogs-use-header and
    gtk-enable-animations

M	plugins/xsettings/msd-xsettings-manager.c

commit 768d1200e400f82d64f171577002ec2934a42a93
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-24

    media-keys: Remove old cut-n-paste code

M	plugins/media-keys/Makefile.am
D	plugins/media-keys/cut-n-paste/Makefile.am
D	plugins/media-keys/cut-n-paste/gvc-channel-map.c
D	plugins/media-keys/cut-n-paste/gvc-channel-map.h
D	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.c
D	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-card.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-card.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-control.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-control.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-sink.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-sink.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-source.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-source.h
D	plugins/media-keys/cut-n-paste/gvc-mixer-stream.c
D	plugins/media-keys/cut-n-paste/gvc-mixer-stream.h
M	po/POTFILES.in

commit 52ac52610c68cc284636adbdff7fda26b654b342
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-24

    Revert "Update PORFILES.in"

    This reverts commit 8220f432b99145a4ec9089807537ed351c041110.

M	po/POTFILES.in

commit 8220f432b99145a4ec9089807537ed351c041110
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-24

    Update PORFILES.in

M	po/POTFILES.in

commit 4cc895853797abeaef98f64547f2a870a0072fa1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-24

    Bump version to 1.9.3

M	NEWS
M	configure.ac

commit e2d9b565b92a0ddb8d1ff8c316d780993ec2838b
Merge: 5381223 be56b0f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-15

    Merge branch 'libmatemixer'

commit 5381223e7e40031fe3dc033816629b20edb534d1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-12

    Bump version to 1.9.2

M	NEWS
M	configure.ac

commit beb0548413737e8892d85eb8d89ed7410e6ad056
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2014-10-12

    Sync translations with transifex

M	po/de.po
M	po/en_AU.po
M	po/et.po
M	po/hr.po
M	po/lt.po
M	po/pt_BR.po
M	po/uk.po

commit be56b0f8f8ef77296fe12c73985785874dc896c2
Author: Michal Ratajsky <michal.ratajsky@gmail.com>
Date:	2014-08-21

    Unmute when lowering volume and the target volume is higher than
    minimal

M	plugins/media-keys/msd-media-keys-manager.c

commit eb996b39801092f4548497aba20e88400f4a9ae0
Author: Michal Ratajsky <michal.ratajsky@gmail.com>
Date:	2014-08-20

    Remove debugging message

M	plugins/media-keys/msd-media-keys-manager.c

commit 3b519db084df2ad290cd897b1317daf7f53c05e4
Author: Michal Ratajsky <michal.ratajsky@gmail.com>
Date:	2014-08-18

    Update to libmatemixer changes

M	plugins/media-keys/msd-media-keys-manager.c
M	plugins/media-keys/msd-media-keys-plugin.c

commit 1eadf051aed2cbf103e2e9653107339be01a5740
Author: Michal Ratajsky <michal.ratajsky@gmail.com>
Date:	2014-07-05

    Clean things up a bit, update copyright, remove unused code, fix
    NEWS and compiler warnings

M	NEWS
M	plugins/media-keys/msd-media-keys-manager.c
M	plugins/media-keys/msd-media-keys-manager.h
M	plugins/media-keys/msd-media-keys-plugin.c
M	plugins/media-keys/msd-media-keys-plugin.h
M	plugins/media-keys/msd-media-keys-window.c
M	plugins/media-keys/test-media-keys.c

commit 8481ebdc843ec212e59f98c8ff5f718485f864c0
Author: Michal Ratajsky <michal.ratajsky@gmail.com>
Date:	2014-07-03

    Remove GStreamer parts and use libmatemixer

M	AUTHORS
M	NEWS
M	configure.ac
M	plugins/media-keys/Makefile.am
M	plugins/media-keys/msd-media-keys-manager.c
M	plugins/media-keys/msd-media-keys-plugin.c

commit 163f01a8b527c1ed801f68681fc7d82a54d42b1c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-10-08

    media-keys: Use galculator first

M	plugins/media-keys/msd-media-keys-manager.c

commit efab79ffa4bddcf812d02c776c7fd3b8a2945d67
Author: infirit <infirit@gmail.com>
Date:	2013-09-21

    Update schema to use toggle shell script

    Fixes https://github.com/mate-desktop/mate-settings-daemon/issues/32

M	data/org.mate.keybindings.gschema.xml.in.in

commit 38af157b61f7733781cfce76c6ff3ed403533d6b
Author: infirit <infirit@gmail.com>
Date:	2014-07-14

    xrandr-manager: Fix memleak

M	plugins/xrandr/msd-xrandr-manager.c

commit 216e53ecf80d276dc3ab093fbe7dc94134eab3a2
Author: infirit <infirit@gmail.com>
Date:	2014-07-14

    Gtk+3: Fix label title label in msd-xrandr-manager

M	plugins/xrandr/msd-xrandr-manager.c

commit df9458c9728866fae499d387f3668bef11db3688
Author: infirit <infirit@gmail.com>
Date:	2014-07-12

    Un-break my previous commit

M	mate-settings-daemon/main.c

commit a896fafa010af32149f84c3942995bee3981add5
Author: infirit <infirit@gmail.com>
Date:	2014-07-12

    Add ability to enable/disable debug with GSettings

    Based on similar commit in mate-session-manager.

M	mate-settings-daemon/Makefile.am
M	mate-settings-daemon/main.c

commit bdab60d6e3517a0d347f0bf532c133ac547668d3
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2014-07-12

    Sync translations with transifex

M	po/es.po
M	po/ja.po
M	po/mr.po
M	po/pt.po
M	po/tr.po

commit b78deb4ee299a343b583165bdb9ca66acdac8c5e
Merge: 486f776 d8dfbdf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-07-08

    Merge pull request #71 from dkao/master

    mpris: Replace googlemusicframe with nuvolaplayer

commit d8dfbdf5d07e5aafdfdde5ccec8be04da1835e1c
Author: Daniel Kao <daniel.m.kao@gmail.com>
Date:	2014-07-08

    mpris: Replace googlemusicframe with nuvolaplayer

    googlemusicframe was renamed to nuvolaplayer in late 2011.

M	plugins/mpris/msd-mpris-manager.c

commit 486f77610f506b4cd0e9f70fbb5eb6741ec7d080
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-07-01

    Bump version to 1.9.1

M	NEWS
M	configure.ac

commit 39f3f3c703ae0b6f6bd669c3b07a151ebcd582a1
Author: infirit <infirit@gmail.com>
Date:	2014-05-18

    Drop support for glib < 2.36

M	plugins/housekeeping/msd-disk-space.c
M	plugins/housekeeping/msd-housekeeping-manager.c
M	plugins/housekeeping/msd-ldsm-dialog.c

commit b80af3d3d5748e4f27d354be429d09fe7f25241f
Author: infirit <infirit@gmail.com>
Date:	2014-05-18

    Bump glib required version

M	configure.ac

commit e51fa1d6096b061a89e2d234b2c13ddb578ff518
Author: infirit <infirit@gmail.com>
Date:	2014-05-18

    gdk_window_*_filter are in gdk2

M	plugins/keyboard/delayed-dialog.c

commit 520041451fd356d679da39f83d17585777643a85
Author: infirit <infirit@gmail.com>
Date:	2014-05-18

    gdk_x11_window_lookup_for_display and gdk_window_get_screen are
    in gdk2

M	plugins/keybindings/msd-keybindings-manager.c

commit e0d01fe79774e35fb4e0b3b300aa11a443d08eae
Author: infirit <infirit@gmail.com>
Date:	2014-05-18

    Replace deprecated g_thread_create with g_thread_new

M	plugins/smartcard/msd-smartcard-manager.c

commit 990a430ad13be7deb5a81457070a000b770b0ff3
Author: infirit <infirit@gmail.com>
Date:	2014-05-18

    Remove deprecated g_thread_init and g_type_init functions

M	mate-settings-daemon/main.c
M	plugins/datetime/msd-datetime-mechanism-main.c
M	plugins/smartcard/msd-smartcard-manager.c
M	plugins/xsettings/fontconfig-monitor.c

commit 1ed94d5aed85afbfad570cc76bc9ca26cdaba39f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-05-04

    Add support for GTK3 Gtk/DecorationLayout setting

    Closes https://github.com/mate-desktop/mate-settings-daemon/issues/63
    See
    https://developer.gnome.org/gtk3/stable/GtkSettings.html#GtkSettings--gtk-decoration-layout

M	configure.ac
M	plugins/xsettings/msd-xsettings-manager.c

commit ee9ff083d28dc82c9578fb03334e0a7367712b1b
Author: infirit <infirit@gmail.com>
Date:	2014-04-30

    Update vendor_url in policy file

M
plugins/datetime/org.mate.settingsdaemon.datetimemechanism.policy.in

commit 09f51cc969da83a7e83f0b3cf4602f396c6d2ff2
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:	2014-04-27

    Sync translations with transifex

M	po/LINGUAS
C070	po/sv.po	po/en_US.po
M	po/hu.po
M	po/sv.po

commit e0c547adc4b509f7d2b387d0809caf2216403aa2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-03-22

    Bump version to 1.9.0

M	NEWS
M	configure.ac

commit d31cb25d61215af5a1ee7c93998ae71d410355d7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-03-22

    Sync translations with transifex

M	po/be.po
M	po/id.po

commit 11b9fd09f4a143c3b421abbc8a9dce5a200f148a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-03-01

    Bump version to 1.8.0

M	NEWS
M	configure.ac

commit c1d2e854911e9b368933a771f08dbb704032e23c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-03-01

    Sync translations with transifex

M	po/be.po
M	po/hr.po
M	po/ko.po

commit ac0d357f2ac1f0994b6cd9f9c3bb7838157bd3c8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-23

    Sync translations with transifex

M	po/hu.po
M	po/sl.po

commit fef4447c314fdcbf72320bed68bd5eff130e471b
Merge: 8b2f3e1 276d3e0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-20

    Merge pull request #61 from dnk/master

    gtk3: fix media keys

commit 276d3e0577ca8e42e675ac47d636e466e1653e76
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:	2014-02-21

    gtk3: fix media keys

M	plugins/common/eggaccelerators.c
M	plugins/common/msd-keygrab.c

commit 8b2f3e16982d40a1ea391d550b824f267707a1d5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-18

    Bump version to 1.7.90

M	NEWS
M	configure.ac

commit ef243903a9af6cc6b2226958a48c5f29b1099b89
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-18

    Update NEWS

M	NEWS

commit 1439f70c3c39df00506e6271c249dd261b520b44
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-18

    configure: Add check-news

M	configure.ac

commit d7e8041bad223b7c0b6733264dee390ff065ebc9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-18

    Sync translations with transifex

M	po/de.po
M	po/en_GB.po
M	po/es.po
M	po/sk.po

commit 8938693c3ee1161a778de5f20470c6103b2da741
Author: Vangelis Mouhtsis <vangelis@gnugr.org>
Date:	2014-02-18

    Add manpage

    Closes https://github.com/mate-desktop/mate-settings-daemon/issues/60

M	data/Makefile.am
A	data/mate-settings-daemon.1

commit faa5e56ad7ad4e4fb9936957856b001dcc0f6d58
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-17

    keybindings: Fix GTK3 support

    Together with previous commit, it closes
    https://github.com/mate-desktop/mate-settings-daemon/issues/53

M	plugins/keybindings/msd-keybindings-manager.c

commit 0e9de7f3cd814b0995aa10c33c91fe6b87be84ad
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-17

    keybindings: Fix GTK3 support

M	plugins/keybindings/msd-keybindings-manager.c

commit 30b740a218b4249f397ef8695ceec1afa2da0897
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-13

    housekeeping: Cherry pick some fixes from gnome-settings-daemon

M	plugins/housekeeping/msd-disk-space.c

commit 162f34b43492ca837f91a3e37efbec6850058300
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-11

    Include autogen.sh in tarball

M	Makefile.am

commit 3de2f77b32f9168a8d61633ba810e69d95dccd59
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-09

    Bump version to 1.7.1

M	configure.ac

commit 9fdfaa48afde0d82344eddc91341d143cfbf5b67
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-08

    Fix typo in previous commit

M	plugins/keyboard/delayed-dialog.c

commit 5391f9c530081f52974dbea2ae2b057587538b7d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-02-08

    keyboard: Fix GTK3 support

M	plugins/keyboard/delayed-dialog.c

commit 21d81e6b1b6a9c060adb608a8eccfa201c320314
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-01-23

    xrandr: Fix gdk_spawn_command_line_on_screen usage with GTK3

M	plugins/xrandr/msd-xrandr-manager.c

commit 3e322a3b0f55d35d642c921fa04d161c808fd531
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-01-22

    Sync translations with transifex

M	po/LINGUAS
C069	po/sk.po	po/cmn.po
M	po/hr.po
C069	po/pl.po	po/kk.po
M	po/pl.po
M	po/sk.po

commit f7477af91d762d36e84d6a0618183693d11535b0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-01-15

    Bump minimum mate-desktop required version

M	configure.ac

commit 6faa05df8eb763fbfb49df3aa1a95ee16e7b900e
Merge: 07e60d4 4bf46e5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2014-01-15

    Merge pull request #58 from infirit/master

    Add Middle Click Emulation to mouse manager

commit 4bf46e59572e90f91f6cafe8a98141e35703d12a
Author: infirit <infirit@gmail.com>
Date:	2014-01-05

    Add Middle Click Emulation to mouse manager

    This change depens on gsettings key in mate-desktop.

M	plugins/mouse/msd-mouse-manager.c

commit 07e60d4fad318460ec59315c35e5c2fa7919ad5f
Merge: 54b7a64 167a47e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-11-13

    Merge pull request #56 from flexiondotorg/master

    Remove distro folder.

commit 167a47ec802ad79019c6299504637f6051ef62b6
Author: Martin Wimpress <code@flexion.org>
Date:	2013-11-13

    Remove distro folder.

D	distro/archlinux/PKGBUILD
D	distro/archlinux/mate-settings-daemon.install

commit 54b7a64c8f3d9a904acfdc0a5dd79141788b4d16
Merge: c3b8c88 d52a4ac
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-11-08

    Merge pull request #55 from infirit/master

    Fixes and cleanups

commit d52a4ac5dada42cc49e11818da3a14e8253711a5
Author: infirit <infirit@gmail.com>
Date:	2013-11-08

    Add dist-hook for auto Changelog generation

M	Makefile.am

commit 64106e463750c301ad6183fc87e0fc81037e9f9b
Author: infirit <infirit@gmail.com>
Date:	2013-11-08

    INCLUDES -> AM_CPPFLAGS

M	mate-settings-daemon/Makefile.am
M	plugins/media-keys/cut-n-paste/Makefile.am

commit 2b3d2f4295a0752f8743d24c45e08d766ac6bc12
Author: infirit <infirit@gmail.com>
Date:	2013-11-08

    Silence autofoo warning

M	Makefile.am
M	configure.ac

commit c3b8c88722b5eee2a9ccfebe45cbce7b3b73dfce
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-10-08

    Bump version to 1.7.0

M	configure.ac

commit 083304831befe02bab536c91406a5fd66e05c763
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-10-08

    Sync translations with transifex

M	po/ar.po
M	po/it.po
M	po/sl.po

commit c76e1bcf5a594ca507e90d9de7dd2e635c9e5be2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-09-26

    housekeeping: Support new thumbnails path for newer glib versions

    Closes #51
    https://github.com/mate-desktop/mate-settings-daemon/issues/51

M	plugins/housekeeping/msd-housekeeping-manager.c

commit 2a9f54fac37b45c4a0e0e0b76127d3d93087f454
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-08-06

    Sync translations with transifex

M	po/LINGUAS
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/en_AU.po
M	po/en_GB.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/ms.po
M	po/pt_BR.po
M	po/sk.po
M	po/uk.po
C075	po/sk.po	po/ur.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 8b5c440e65845a58b88dd3f138864dfe1eba94ce
Merge: 0bab5bc 7bdb589
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-08-01

    Merge pull request #47 from infirit/master

    Replace ghelp: with help: for user-guide

commit 7bdb58971c3ff164b6b74ea64cc1f5c067921ff1
Author: infirit <infirit@gmail.com>
Date:	2013-08-01

    Replace ghelp: with help: for user-guide

M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.c

commit 0bab5bc206e76165838f71af7a7e041cf4d03be2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-07-31

    Update libmate-desktop headers to new location

M	plugins/background/msd-background-manager.c
M	plugins/xrandr/msd-xrandr-manager.c

commit 1ea44b2183142bb183fdb2a56d5ddf02e72cc8e2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-07-31

    mouse: Add GTK3 support

M	plugins/mouse/msd-locate-pointer.c

commit 12b8b8919663681329fbe7bedf9d92631bf44603
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-07-31

    Add GTK3 support in OSD window

M	plugins/common/msd-osd-window.c
M	plugins/common/msd-osd-window.h
M	plugins/media-keys/msd-media-keys-window.c

commit e8717a496368ae4ee74eb1891620271171d77597
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-07-31

    Add GTK3 support in configure

M	configure.ac

commit 6857ae482ed907a4616fcc7787a0b66e926a0f8d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-07-11

    media-keys: Fix terminal GSettings key name

M	plugins/media-keys/msd-media-keys-manager.c

commit ede91a4f2235f89ca3d574b4d0e4f03fc018739c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-06-24

    Bump version to 1.6.1

M	configure.ac

commit ca817a6eefe55e3ec2d2e5fd93a0a252429f51e2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-06-24

    Fixes for make dist

M	Makefile.am
M	configure.ac
M	data/Makefile.am

commit a326673b17ec87689e71a33c8b50fdc226de07e3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-05-08

    keyboard: Allow to disable indicators in GSettings

M	configure.ac
M	plugins/keyboard/msd-keyboard-xkb.c

commit 33ac2c8e15a6dbf22982fd469af1446d210eb2c8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-04-06

    Init libnotify in mate-settings-daemon, not in plugins

M	mate-settings-daemon/Makefile.am
M	mate-settings-daemon/main.c
M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.c

commit ef5ab8f500a06233c7c73fb1b2bbc594715c1a17
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-31

    Bump version to 1.6.0

M	configure.ac

commit cef6657ba7dc5105690ce09d9461174b5fa0cce8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-31

    Sync translations with transifex

M	po/LINGUAS
M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
A	po/en_AU.po
M	po/en_CA.po
M	po/en_GB.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kn.po
M	po/ko.po
M	po/ku.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/nb.po
M	po/nds.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/uk.po
M	po/vi.po
M	po/xh.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit 580e088505ee7ceb74b8d09b12e40cb682d17095
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-31

    Add transifex configuration file

A	.tx/config

commit 3dd3e09d68af42e9e5c0cca2d3c791f651b0016c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-29

    Add empty ChangeLog to allow build from git

A	ChangeLog

commit 6d7d4bc95cbeb25bc00c6d5764467e99611c3b11
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-24

    mpris: Fix copyright holders

M	plugins/mpris/msd-mpris-manager.c
M	plugins/mpris/msd-mpris-manager.h

commit 5315ed335839571bf93a62ccc088dc30d998c7d4
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2013-03-24

    Removed ChangeLog

D	ChangeLog

commit 84a11dd0778d09c577fc66b28ca868b3bd16f88e
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2013-03-22

    Fixed typo in comment.

M	plugins/mpris/msd-mpris-manager.c

commit 337aa1501a40d82a3668157791a110211f3e81a1
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2013-03-22

    Removed unused variables.

M	plugins/mpris/msd-mpris-manager.c

commit 19511f32825fc8aaa15ce8a574f2a67ddc111e0c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-22

    Bump version to 1.5.7

M	configure.ac

commit 6ee8af1f0f2181b938c7926b29d38f97ab841c35
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-22

    Make GSettings schemas translatable

M	data/Makefile.am
D	data/org.mate.SettingsDaemon.gschema.xml.in
R100	data/org.mate.SettingsDaemon.plugins.a11y-keyboard.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.a11y-keyboard.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.background.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.background.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.clipboard.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.clipboard.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.datetime.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.datetime.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.housekeeping.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.housekeeping.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.keybindings.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.keybindings.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.keyboard.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.keyboard.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.mouse.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.mouse.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.mpris.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.mpris.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.smartcard.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.smartcard.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.sound.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.sound.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.typing-break.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.typing-break.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.xrandr.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.xrandr.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.xrdb.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.xrdb.gschema.xml.in.in
R100	data/org.mate.SettingsDaemon.plugins.xsettings.gschema.xml.in
data/org.mate.SettingsDaemon.plugins.xsettings.gschema.xml.in.in
R100	data/org.mate.applications-at.gschema.xml.in
data/org.mate.applications-at.gschema.xml.in.in
R100	data/org.mate.font-rendering.gschema.xml.in
data/org.mate.font-rendering.gschema.xml.in.in
R052	data/org.mate.keybindings.gschema.xml.in
data/org.mate.keybindings.gschema.xml.in.in
D	data/org.mate.peripherals-smartcard.gschema.xml.in
A	data/org.mate.peripherals-smartcard.gschema.xml.in.in
D	data/org.mate.peripherals-touchpad.gschema.xml.in
A	data/org.mate.peripherals-touchpad.gschema.xml.in.in
M	po/POTFILES.in

commit 9384398bdd679647ca362a72f20c63e5d056f309
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-22

    Add MPRIS plugin

M	configure.ac
M	data/Makefile.am
A	data/org.mate.SettingsDaemon.plugins.mpris.gschema.xml.in
M	plugins/Makefile.am
A	plugins/mpris/Makefile.am
A	plugins/mpris/mpris.mate-settings-plugin.in
A	plugins/mpris/msd-mpris-manager.c
A	plugins/mpris/msd-mpris-manager.h
A	plugins/mpris/msd-mpris-plugin.c
A	plugins/mpris/msd-mpris-plugin.h
M	po/POTFILES.in

commit 017c93b447c419843cbd4f0e105ad0604efe90c6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-21

    Remove autogenerated file

D	plugins/media-keys/media-keys.mate-settings-plugin

commit 41d92be70874a06cb09a7b4e739c69ba7fdf4e66
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-21

    Add option to replace the current daemon

M	mate-settings-daemon/main.c

commit 4d4b2d95eaaeda43835288f0fcc23a6395719950
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-20

    Register mate-settings-daemon as client of org.mate.SessionManager

M	mate-settings-daemon/main.c

commit 7910bdf4e232af4315a76635f636f6e1eb7846c4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-20

    Remove code to become a daemon
    It is not needed and it creates issues in some distributions

M	mate-settings-daemon/main.c

commit ad2a932f5948ca3ce60b53ce313c232d3aa60811
Merge: a63e9e1 61fa8b0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-17

    Merge pull request #41 from rezso/master

    fix dconf minimum versions

commit 61fa8b0b4dca6874b0851a250954d6ad8fc84d2c
Author: rezso <rezso@rezso.net>
Date:	2013-03-16

    Update configure.ac

M	configure.ac

commit a63e9e1219675d033dcb9610354fe54204ec4490
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-03-10

    Bump version to 1.5.6

M	configure.ac

commit 0b3b433b720718b2e401078288b603cdff6917d2
Author: Elan Ruusamäe <glen@delfi.ee>
Date:	2013-02-26

    two more fixes for libnotify

    ** (mate-settings-daemon:27918): WARNING **:
    /usr/lib64/mate-settings-daemon/liba11y-keyboard.so: undefined symbol:
    notify_notification_attach_to_status_icon
    ** (mate-settings-daemon:27225): WARNING **:
    /usr/lib64/mate-settings-daemon/libxrandr.so: undefined symbol:
    notify_notification_new_with_status_icon

    liba11-keyboard change done similarily to GNOME, just removing it:
    https://github.com/GNOME/gnome-settings-daemon/commit/e1ab570b0dce479ba235e5542ea07d1b5bafc4c9

M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.c
M	plugins/xrandr/msd-xrandr-manager.c

commit 0f21ea2e034a258a69a194b8a9ed46cb57f20f5d
Merge: 6f12750 9ee6ae6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-02-18

    Merge pull request #40 from glensc/libnotify

    use libnotify 0.7, not libmatenotify

commit 6f12750fb05e6284b4356a6648a47ce202ff2d39
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-02-18

    Re-added keybindings plugin, migrated to GSettings

M	configure.ac
M	data/Makefile.am
A	data/org.mate.SettingsDaemon.plugins.keybindings.gschema.xml.in
M	data/org.mate.keybindings.gschema.xml.in
M	plugins/Makefile.am
A	plugins/keybindings/Makefile.am
A	plugins/keybindings/dconf-util.c
A	plugins/keybindings/dconf-util.h
A	plugins/keybindings/keybindings.mate-settings-plugin.in
A	plugins/keybindings/msd-keybindings-manager.c
A	plugins/keybindings/msd-keybindings-manager.h
A	plugins/keybindings/msd-keybindings-plugin.c
A	plugins/keybindings/msd-keybindings-plugin.h

commit 9ee6ae64330b0f0066ef07a663e4d1bca6510f2c
Author: Elan Ruusamäe <glen@delfi.ee>
Date:	2013-02-18

    use libnotify 0.7, not libmatenotify

M	configure.ac
M	plugins/a11y-keyboard/Makefile.am
M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.c
M	plugins/housekeeping/Makefile.am
M	plugins/housekeeping/msd-disk-space.c
M	plugins/xrandr/Makefile.am
M	plugins/xrandr/msd-xrandr-manager.c

commit fc9ad81243511a82da3df74d03e21e366ce66416
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-02-09

    background: Fix missing void keyword in real_draw_bg function

M	plugins/background/msd-background-manager.c

commit 6fe628c5580ebffc53d27eacfc5ae2c7159a58bc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-02-09

    Fix segmentation fault on resolution change

M	plugins/background/msd-background-manager.c

commit 95d9d774d24d7106fa67dc2edeb1433ff8ed7139
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-02-08

    Bump version to 1.5.5

M	configure.ac

commit 85a99efb2631248152c6ed26d3dc7e971f1109df
Merge: 5bf6bc8 1187338
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-01-28

    Merge pull request #37 from bhull2010/master

    Fix gsettings schema paths

commit 118733842c7e1df85ce606e87e1c2e169b3d9b50
Author: Brent Hull <bhull2010@live.com>
Date:	2013-01-27

    Fix schema path deprectations and remove unused constant

M	data/org.mate.applications-at.gschema.xml.in
M	data/org.mate.font-rendering.gschema.xml.in
M	data/org.mate.keybindings.gschema.xml.in
M	data/org.mate.peripherals-smartcard.gschema.xml.in
M	data/org.mate.peripherals-touchpad.gschema.xml.in
M	plugins/xrdb/msd-xrdb-manager.c

commit 5bf6bc8ea1bc4326c943c0ce98dd3c6ed916c12d
Merge: e6f5e94 11f6dfe
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2013-01-04

    Merge pull request #36 from cygwinports/master

    Add mateconf-gsettings-data-convert file

commit 11f6dfe2c17379c3232a9eee521646ccf9c364a0
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:	2012-12-25

    Add mateconf-gsettings-data-convert file

M	data/Makefile.am
A	data/mate-settings-daemon.convert

commit e6f5e94d1bff4dbf166d45d5f2d3fb81fcb6140c
Merge: f6c5341 d58a3b0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-23

    Merge pull request #34 from jasmineaura/develop

    Remove last remaining deprecations (GDK)

commit d58a3b0f224b999e8812242e3e93091cf077a59d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-22

    [mouse] remove deprecated gdk_drawable_get_size &
    gdk_drawable_get_screen

    Since we now require GTK 2.24, we can directly use
    gdk_window_get_width(), gdk_window_get_height(), and
    gdk_window_get_screen()

M	plugins/mouse/msd-locate-pointer.c

commit 4d7a3ffc29a253a4387eecf1fef25d29f175103a
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-22

    [keyboard] don't use deprecated gdk_spawn API.

    And use:
    gdk_display_get_app_launch_context() on GTK3
    gdk_app_launch_context_new() on GTK2

M	plugins/keyboard/msd-keyboard-xkb.c

commit 79738b4bddc38257848464414a6b0f16dee86d22
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-22

    [general] replace deprecations, use GDK X11 API, bump GTK+ to 2.24

    for:
    gdk_x11_window_lookup_for_display()
    gdk_x11_window_foreign_new_for_display()

M	configure.ac
M	plugins/clipboard/msd-clipboard-manager.c
M	plugins/xrandr/msd-xrandr-manager.c

commit f6c53419d075eb15dd952119bfc0bc9db2c30fbd
Merge: 85c5ae1 77ec1e0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-17

    Merge pull request #33 from bhull2010/master

    Restore volume-step preference instead of hardcoding it

commit 77ec1e052debbc08d4ff2be945889150ebe2a867
Author: Brent Hull <bhull2010@live.com>
Date:	2012-12-16

    Restore preference for volume step instead of hardcoding it

M	plugins/media-keys/msd-media-keys-manager.c

commit 85c5ae14d75e3413b8f3f3aa38205ea852dcb20d
Merge: 12dcf19 c6a6cbd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-15

    Merge pull request #31 from jasmineaura/develop

    background revised, various other fixes & improvements

commit c6a6cbde72489a0055ba63341a153fe365058072
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [keyboard] add g_strv_behead, reduce code & fix filter_xkb_config()

    Fixes compiler warning: 'i' may be used uninitialized in this function

    Indeed, rather than initializing 'i' to zero, 'lv' (char arr of
    **lv) was
    erroneously being assigned the value of 0 in the for loop's
    initialization.

    g_strv_behead copied from gkbd_strv_behead from
    libgnomekbd/gkbd-util.c

    For reference: Using shared gkbd_strv_* utility functions, reducing
    the code
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=f62d0846143b8a65606daa6860e6b2cd7f9cb465

M	plugins/keyboard/msd-keyboard-xkb.c

commit e6ed635e07bd485c6518894bd9883ae9df64f63f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [keyboard] fix g_format_size_for_display deprecation (GLIB 2.30)

M	plugins/housekeeping/msd-ldsm-dialog.c

commit 5129b9008a6700294bcd8d8f0fcaee4bef2932fc
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [plugins] various small fixes/improvements

    In plugins/housekeeping/gsd-ldsm-dialog.c
    - Initialize GSList ignore_paths before use
    - Use g_slist_prepend instead of _append in loop (more efficient),
    reverse after

    In plugins/media-keys/msd-media-keys-manager.c
    - Default to mate-terminal if terminal "exec" key is empty

    In plugins/xrandr/msd-xrandr-manager.c
    - Only start_or_stop_icon when the show icon key actually changes

    Also, adapt this for media-keys plugin:
    Don't use org.gnome.settings-daemon for volume_step setting
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=1a9eea8224d41643a8a7a05d799198058e36e1a8

M	plugins/housekeeping/msd-ldsm-dialog.c
M	plugins/media-keys/msd-media-keys-manager.c
M	plugins/xrandr/msd-xrandr-manager.c

commit 4d955a71bb6117c72da4291ccd2a9f617e9ed7fd
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [keyboard] Don't cast dialog to GTK_OBJECT on GTK3

M	plugins/keyboard/msd-keyboard-xkb.c

commit 753cac019e70eb345fd9d7445f5ed3d3adc146c4
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [mouse] Don't switch mouse buttons for XTest devices

    Fix fake events generated by applications being the wrong button.

    https://bugzilla.gnome.org/show_bug.cgi?id=627084

M	plugins/mouse/msd-mouse-manager.c

commit 878e3bf6c86782e527c51879021c671b9bbe38d9
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [data] Add daemon path to pkg-config files

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=85546d7902977d14f2a4894284acb3d9915097f6

M	data/mate-settings-daemon-uninstalled.pc.in
M	data/mate-settings-daemon.pc.in

commit 9f7b884490f27d70d12c2f378be4fba143d653e1
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [keyboard] Give a name to the keyboard status icon

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=2674a0fa89abb08443d8f93da6fe9ae7f81c1120

M	plugins/keyboard/msd-keyboard-xkb.c

commit 89f1a9bd93f75f2b3cd23667654d0351d86b13eb
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [datetime] fix deprecated polkit_authority_get(), bump to 0.97

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d08b1b05997b3591c7ac1eefebd04a503c97c06e

    and bump PolicyKit minimum required to 0.97

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d1c499e9e6b2aae3b0d1e0004e38f1d280e31144

M	configure.ac
M	plugins/datetime/msd-datetime-mechanism.c

commit 8bcea2de19cab57e0c340cf6d8ebf181c31529df
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [all] Silence build by default, and remove unneeded version
    requirements

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=b9b785508085d77818c76ab4aed8ee574dbd1756

M	configure.ac
M	data/Makefile.am
M	mate-settings-daemon/Makefile.am
M	plugins/datetime/Makefile.am
M	plugins/media-keys/Makefile.am
M	plugins/xrandr/Makefile.am

commit 7e6d4ef02b5d8d7ae8c9dcc27a37e9f844b09b90
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [plugins] only link background/xrandr to mate-desktop, not main
    process

    Most of the plugins do not need gnome-desktop's functionality,
    so there is
    no point in the main process linking against it.

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=ed54ceee46b6a56613c8aeb3d594f6a485400ef9

M	configure.ac
M	plugins/background/Makefile.am
M	plugins/xrandr/Makefile.am

commit 221c4df4581638c818b37dc4f8ca20fd48122d3f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [plugins] Fix some deprecations (GTK2/GTK3)

    a11y-keyboard: gtk_dialog_set_has_separator(), deprecated in GTK+ 2.22

    common|mouse: prefix GDK key constants with _KEY (GTK3)

M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c
M	plugins/common/eggaccelerators.c
M	plugins/common/msd-keygrab.c
M	plugins/mouse/msd-locate-pointer.c

commit 7d37bfdb82681fc8dc27ec80e1df388fe31c0e04
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-15

    [mouse] Replace Gdk drawing with Cairo (GTK3)

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=1c1677dcfd55eb7e1f6a20435af466331ec2a911

M	plugins/mouse/msd-locate-pointer.c

commit 0d6c7518d2cd66ba15ca7b8628d7b1e40e9ba875
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-14

    [housekeeping] Use g_settings_get_mapped, fix paranoid cleanup
    on shutdown

    1. Use g_settings_get_mapped instead of our own hack
    get_gsettings_int_with_default.

    2. Don't force hard-coded default when value is 0, as that's used
    to allow
    paranoid scanning on shutdown.

    3. Only unref the settings object at the end of _stop routine,
    not before
    do_cleanup is potentially called, since purge_thumbnail_cache uses
    the settings.
    This was also causing asserts when killing msd, as described in
    (now closed) #23.

    These are regressions introduced by the gsettings port of the plugin
    -- 03478b4d

M	plugins/housekeeping/msd-housekeeping-manager.c

commit 252f06b61d3c34e59c13a3eba80d4077e18b542d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-14

    [housekeeping] Remove GtkObject & gtk_dialog_set_has_separator
    deprecations

    gtk_dialog_set_has_separator deprecated in GTK+ 2.21.8

    simple gtk_object -> gtk_widget switch for GTK3 forward compat.

M	plugins/housekeeping/msd-disk-space.c
M	plugins/housekeeping/msd-ldsm-dialog.c
M	plugins/housekeeping/msd-ldsm-trash-empty.c

commit c12ffd128cbe0d90443edf85025a421ab2c027fb
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-08

    [background] cleanup and refactor, fix several issues

    Namely:

    1. In caja_is_drawing..(), only get atom for WM_CLASS property if
    it exists.

    2. Cache gsettings draw-background & show-desktop-icons key-values,
    and only update
    when either actually changes, to avoid unnecessary queries to the
    dconf-service.

    3. Avoid conflicts between settings_change_event_cb() &
    on_bg_handling_changed().

    4. Keep track of screen sizes, to ensure size actually changed when
    signalled, to
    avoid double-redraw on an extraneous signal, which can lockup the
    daemon, because
    we draw immediately (w/out g_idle_add). Though we don't fade in
    re-draws triggered
    by size/monitors-changed signals, making all re-draws queued causes
    issues with
    fading, when we do fade (on bg change), and queueing is unnecessary
    here anyway.

    5. Track a redraw in progress, to avoid any possible (and
    unforseeable) clashes.

M	plugins/background/msd-background-manager.c

commit c257c330af9a2222442ea35eb6479008db80513b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-07

    [background] free priv->fade on stop

M	plugins/background/msd-background-manager.c

commit 6beb0c21bd8cfab641a930ed7b33402407942f0f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-07

    [background] remove useless _(set|get)_property & _dispose methods

M	plugins/background/msd-background-manager.c

commit 12dcf19aa5f51901053c273cd7f5c17ce85e909d
Merge: a279b02 6e61d20
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-07

    Merge pull request #29 from jasmineaura/develop

    Fix #23, and some cleanups

commit 6e61d207a2088479f5bb12ce4edb1d2886c40b53
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-05

    [general] Use g_timeout_add_seconds() where appropriate

    instead of g_timeout_add().

    daemon: Use g_timeout_add_seconds (30 seconds)
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=61c8ca9ad8add09830e72d0c10b97f59e80dd0f5

    smartcard: Use g_timeout_add_seconds() (2 seconds)
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=5e85aa9cdf6624effea5a890a2516f11d25a8bf3

M	mate-settings-daemon/main.c
M	plugins/smartcard/msd-smartcard-manager.c

commit 1606c1d6ae28b8425b56758ce0fc27c7fcbcc0e6
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-05

    [font] remove outdated (disabled by default) plugin & schema

    Was used to setup old X legacy fonts, and was disabled by default
    in bug:
    https://bugzilla.gnome.org/show_bug.cgi?id=613604

M	configure.ac
M	data/Makefile.am
D	data/org.mate.SettingsDaemon.plugins.font.gschema.xml.in
M	plugins/Makefile.am
D	plugins/font/Makefile.am
D	plugins/font/delayed-dialog.c
D	plugins/font/delayed-dialog.h
D	plugins/font/font.mate-settings-plugin.in
D	plugins/font/msd-font-manager.c
D	plugins/font/msd-font-manager.h
D	plugins/font/msd-font-plugin.c
D	plugins/font/msd-font-plugin.h

commit f86fbc0aa5809b6afd3a88cdf3badb0576294c9f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-05

    [keyboard] remove horrible xmodmap fallback code

    had xklavier-related warning everytime m-s-d is started, specifically
    after
    we stopped daemonizing the daemon, in a previous commit.

    and the bug revolves around libxklavier issue
    https://bugzilla.gnome.org/show_bug.cgi?id=150542
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=4239cb8a5d73af79d2cdf0f294a33d31fbbb9afe
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=241c970c1361c4d1b2663af20252ef127055d768

M	plugins/keyboard/Makefile.am
D	plugins/keyboard/modmap-dialog.ui
M	plugins/keyboard/msd-keyboard-manager.c
M	plugins/keyboard/msd-keyboard-xkb.c
D	plugins/keyboard/msd-xmodmap.c
D	plugins/keyboard/msd-xmodmap.h

commit 75e8a3f7a9322bba1cff478e35b6e15203d78aa8
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-05

    [media-keys] Update volume code (should be copy-paste from mate-media)

    Updates volume code from gnome-media
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=5f4b71733713741ec6c48480e3ddc73bf72eb290
    referenced bug also says fixes a memory leak
    https://bugzilla.gnome.org/show_bug.cgi?id=612024

M	configure.ac
M	plugins/media-keys/cut-n-paste/gvc-channel-map.c
M	plugins/media-keys/cut-n-paste/gvc-channel-map.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-card.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-card.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-control.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-sink.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-source.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-stream.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-stream.h

commit 6e182dc5cdb3451a4ec4bd443b1159df318541c8
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-05

    [plugins] cleanup macro magic in plugin.h

    And instead, use glib macros (since 2.14)

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=0dda56c4462e070dabdab68092b6574b5e894181

M	mate-settings-daemon/mate-settings-plugin.h
M	plugins/a11y-keyboard/msd-a11y-keyboard-plugin.c
M	plugins/background/msd-background-plugin.c
M	plugins/clipboard/msd-clipboard-plugin.c
M	plugins/dummy/msd-dummy-plugin.c
M	plugins/font/msd-font-plugin.c
M	plugins/housekeeping/msd-housekeeping-plugin.c
M	plugins/keyboard/msd-keyboard-plugin.c
M	plugins/media-keys/msd-media-keys-plugin.c
M	plugins/mouse/msd-mouse-plugin.c
M	plugins/smartcard/msd-smartcard-plugin.c
M	plugins/sound/msd-sound-plugin.c
M	plugins/typing-break/msd-typing-break-plugin.c
M	plugins/xrandr/msd-xrandr-plugin.c
M	plugins/xrdb/msd-xrdb-plugin.c
M	plugins/xsettings/msd-xsettings-plugin.c

commit 4006c217f458e936d77683b5974600070a253bac
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-04

    [xsettings] quick 'n dirty gsettings port review continued

    for reference: xsettings: Port XSettings sync to GSettings
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=6d7498114930de358573e97f54880c586c9f9c66

M	plugins/xsettings/msd-xsettings-manager.c

commit ca7b6632c336ee7fa991ffaa8b851491d558e70b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-04

    [daemon] quick 'n dirty initial review of gsettings port

    1. import: Don't choke if there are old plugins laying around
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=18e57e126ff6a6ab2980c119aebef087227e2a54

    2. Alleviate #23 -- no more "g_object_unref: assertion 'G_IS_OBJECT
    (object)' failed"
    when starting m-c-c "Appearance" properties.

M	mate-settings-daemon/mate-settings-manager.c
M	mate-settings-daemon/mate-settings-plugin-info.c
M	plugins/housekeeping/msd-disk-space.c
M	plugins/housekeeping/msd-ldsm-trash-empty.c

commit a279b02b4d563d2300ccb588e5969c7dfac8108e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-03

    bump version to 1.5.4

M	configure.ac

commit 7474cd0bcc68162053f687678c1c67d1e46de93b
Merge: 8f50ed4 fbb38be
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-03

    Merge pull request #25 from jasmineaura/develop

    [background] Use new MATE_BG_KEY's defines in mate-bg.h, and fade
    option

commit fbb38beeb0ca22b0a456d3227a9b76c185c51ad2
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-03

    [background] Use new MATE_BG_KEY's defines from mate-bg.h, and
    fade option

    Observe new mate-bg (global) fade option, via
    do_crossfade_background()
    Change dont_draw_background() to a do_, to avoid double-negative
    like !dont.

M	plugins/background/msd-background-manager.c

commit 8f50ed47fdbb5b0b63425b5dc653c5ad4d8bba05
Merge: 0472d45 eff871e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-12-03

    Merge pull request #24 from jasmineaura/develop

    background revamped

commit eff871eb46d1b0b7578f8fd9f5e31c932437cb3b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-03

    [background] fix XGetWindowProperty long_length & nitems_return params

    from 24 -> 20, to account for 'nautilus' -> 'caja' change (4 bytes
    less).

M	plugins/background/msd-background-manager.c

commit 75003d6304a61488a1737733c423fd120e4bbb48
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-03

    [background] Also check if caja is drawing bg when detecting settings
    changes

    hopefully to avoid taking over background-drawing when Caja is
    doing it.

M	plugins/background/msd-background-manager.c

commit d4fa668e674bbf38054aa8573539892738a1815d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-12-01

    [background] listen for draw-background/show-desktop-icons changed
    signals

    Because we should handle the background drawing when either:
    - "draw-background" is re-enabled, or
    - "show-desktop-icons" is disabled.

    N.B.
    We may still need to consider this issue, which was never resolved
    in gnome,
    because they stopped auto-launching nautilus & removed it from
    3.0 sessions:

    Nautilus registers with the session before it's ready.
    https://bugzilla.gnome.org/show_bug.cgi?id=568588

    Would also be wise to import the (recent) changes made in the
    bug below:

    Provide a singleton SessionManager proxy object
    https://bugzilla.gnome.org/show_bug.cgi?id=686556

M	plugins/background/msd-background-manager.c

commit 4d1c861ade36250c2650f4526c375c3f6f7db73c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] Don't draw the background if "draw-background" is false

    https://bugzilla.gnome.org/show_bug.cgi?id=564909

M	plugins/background/msd-background-manager.c

commit 000d8ecc347642bc28fb4cbbb5f2dd730f89b519
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] GCC 4.6 warning fixes

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=da9bd9769caa0f776edf5636c6ae09ba425d6f6e

M	plugins/background/msd-background-manager.c

commit d7ed4e67e748117787810a021c8e15a7a97fe169
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] stop pending fades if new ones initiated

    prevents some strange flicker when quickly selecting multiple
    backgrounds
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=5cb80995b6899c6ed185797333b709ea9342de42

M	plugins/background/msd-background-manager.c

commit d3d2f7ef7e49cc56f96c2ea6512390393c4e1e41
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [configure] bump GIO version to 2.26

    need it for g_dbus_proxy_new_for_bus_sync(), used in previous commit.

M	configure.ac

commit e070627ac87c70799a1bb21ac86836a4959b5cbb
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] convert to GDBus (and fix delayed background drawing)

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=34d6831d7bf5fdf869f1b4802d8920c4a90825db

M	plugins/background/msd-background-manager.c

commit 500dbfbd3018b11f4c1b5e3237dd9daaba8b9939
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] review GSettings, don't rely on Caja as a key component

    and use new mate-bg API ("show-desktop-icons")

    For reference, see:

    Port backround module to GSettings
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=23b50dfc7078b78a513598060ee22ae46c262534
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=c9d62bab8acb166aa720fa5d0356657177be6be5

    background: always check if Nautilus is running
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d22b75db508a792e3786a2011b707e930a0f0355

    background: reintroduce GnomeBg "changed" signal
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d7a6f707c9e6f924fea7565967d9c5c1ad8b1533

    background: Listen to screen changes only after GnomeBg is constructed
    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d6d12b643aeec91fa3d1ed19104f1c0d1ded7870

M	plugins/background/msd-background-manager.c

commit d143a6dab467bf9bee642752978360a85e21ef1b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] Adapt to MateBG API changes, and GTK3 rendering-cleanup

    http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d38bb683005b71f3bf483aafee2f7c36d800a0c7

M	plugins/background/msd-background-manager.c

commit fc859d2f0fb7936bcf5555286e23aba676c10e76
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:	2012-11-29

    [background] fix indentation

M	plugins/background/msd-background-manager.c

commit 0472d457c1f252835a35dea5aed7921e1b210b19
Merge: cc572f1 c7d634a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-11-24

    Merge pull request #22 from dmashal/master

    stop generating version specific libdirs for plugins and fix
    CVE-2012-5560

commit c7d634acd12814a1fe298118e65f1c688b3a9f74
Author: Dan Mashal <dan.mashal@gmail.com>
Date:	2012-11-24

    really fix CVE2012-5560

M
plugins/datetime/org.mate.settingsdaemon.datetimemechanism.policy.in

commit 258f92953949ebd7ebca3bd34df973099b24f4dd
Author: Dan Mashal <dan.mashal@gmail.com>
Date:	2012-11-23

    Fix CVE-2012-5560

M	plugins/datetime/org.mate.SettingsDaemon.DateTimeMechanism.conf

commit 0c93879ce67e00968f31e61069a66b48eee9349e
Author: Dan Mashal <dan.mashal@gmail.com>
Date:	2012-11-22

    stop generating version specific libdirs for plugins

M	configure.ac

commit cc572f1586188e4dcfa9600f8ef31cd5ed9269d8
Merge: 986ff79 16897df
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-11-03

    Merge pull request #15 from ketheriel/master

    fix compilar warning: assignment makes integer from pointer without
    a cast

commit 986ff79d1adf30aef5b4f3978cfd96b0d118fe90
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-27

    bump version to 1.5.3

M	configure.ac

commit 9b1e814f5acfa90ec566aec6f6454e8b3194b441
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-27

    disable accessibility keybindings file

M	data/Makefile.am

commit b80cd41f82814a040017167f1b41711d04acc02c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-23

    fix enum in schema

M	data/org.mate.font-rendering.gschema.xml.in

commit ea4ace561dca4da8ce7a6cc30a36931ed2c5d799
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-23

    bump version, update NEWS

M	NEWS
M	configure.ac

commit 9ef7c30ce41487d8e171d55656ac2dc72964b1ab
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-18

    add enums in gsettings schema

M	data/org.mate.font-rendering.gschema.xml.in

commit 84fdc67037054a91c589a17f2b6ada96bb68f878
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-17

    fix 64bit-portability-issue

M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c

commit 1de2c01bc5734f8d56fc4eebba1a2405063521eb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-17

    bump version to 1.5.1

M	configure.ac

commit 3dcbb5a741ca16cb6db9050e5f8468e45aae8ef9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-16

    keyboard: fix msd_load_modmap_files

M	plugins/keyboard/msd-xmodmap.c

commit 5409696b646a7ebd80ae31417e22e730b084b222
Merge: d2c7965 c55e5b6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-12

    Merge pull request #16 from NiceandGently/master

    fix incorrect FSF address

commit c55e5b68619dd45a002b939d8fffeaf45bf8d206
Author: raveit65 <chat-to-me@raveit.de>
Date:	2012-10-12

    fix incorrect FSF address

M	mate-settings-daemon/main.c
M	mate-settings-daemon/mate-settings-manager.c
M	mate-settings-daemon/mate-settings-manager.h
M	mate-settings-daemon/mate-settings-module.c
M	mate-settings-daemon/mate-settings-module.h
M	mate-settings-daemon/mate-settings-plugin-info.c
M	mate-settings-daemon/mate-settings-plugin-info.h
M	mate-settings-daemon/mate-settings-plugin.c
M	mate-settings-daemon/mate-settings-profile.c
M	mate-settings-daemon/mate-settings-profile.h
M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.c
M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.h
M	plugins/a11y-keyboard/msd-a11y-keyboard-plugin.c
M	plugins/a11y-keyboard/msd-a11y-keyboard-plugin.h
M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c
M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.h
M	plugins/a11y-keyboard/test-a11y-preferences-dialog.c
M	plugins/background/msd-background-manager.c
M	plugins/background/msd-background-manager.h
M	plugins/background/msd-background-plugin.c
M	plugins/background/msd-background-plugin.h
M	plugins/background/test-background.c
M	plugins/clipboard/msd-clipboard-manager.c
M	plugins/clipboard/msd-clipboard-manager.h
M	plugins/clipboard/msd-clipboard-plugin.c
M	plugins/clipboard/msd-clipboard-plugin.h
M	plugins/common/eggaccelerators.c
M	plugins/common/eggaccelerators.h
M	plugins/common/msd-keygrab.c
M	plugins/common/msd-keygrab.h
M	plugins/common/msd-osd-window.c
M	plugins/common/msd-osd-window.h
M	plugins/datetime/msd-datetime-mechanism-main.c
M	plugins/datetime/msd-datetime-mechanism.c
M	plugins/datetime/msd-datetime-mechanism.h
M	plugins/datetime/system-timezone.c
M	plugins/datetime/system-timezone.h
M	plugins/dummy/msd-dummy-manager.c
M	plugins/dummy/msd-dummy-manager.h
M	plugins/dummy/msd-dummy-plugin.c
M	plugins/dummy/msd-dummy-plugin.h
M	plugins/font/delayed-dialog.c
M	plugins/font/delayed-dialog.h
M	plugins/font/msd-font-manager.c
M	plugins/font/msd-font-manager.h
M	plugins/font/msd-font-plugin.c
M	plugins/font/msd-font-plugin.h
M	plugins/housekeeping/msd-disk-space.c
M	plugins/housekeeping/msd-disk-space.h
M	plugins/housekeeping/msd-housekeeping-manager.c
M	plugins/housekeeping/msd-housekeeping-manager.h
M	plugins/housekeeping/msd-housekeeping-plugin.c
M	plugins/housekeeping/msd-housekeeping-plugin.h
M	plugins/keyboard/delayed-dialog.c
M	plugins/keyboard/delayed-dialog.h
M	plugins/keyboard/msd-keyboard-manager.c
M	plugins/keyboard/msd-keyboard-manager.h
M	plugins/keyboard/msd-keyboard-plugin.c
M	plugins/keyboard/msd-keyboard-plugin.h
M	plugins/keyboard/msd-keyboard-xkb.c
M	plugins/keyboard/msd-keyboard-xkb.h
M	plugins/keyboard/msd-xmodmap.c
M	plugins/keyboard/msd-xmodmap.h
M	plugins/media-keys/acme.h
M	plugins/media-keys/cut-n-paste/gvc-channel-map.c
M	plugins/media-keys/cut-n-paste/gvc-channel-map.h
M	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.c
M	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-card.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-card.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-control.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-control.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-sink.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-sink.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-source.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-source.h
M	plugins/media-keys/cut-n-paste/gvc-mixer-stream.c
M	plugins/media-keys/cut-n-paste/gvc-mixer-stream.h
M	plugins/media-keys/msd-media-keys-manager.c
M	plugins/media-keys/msd-media-keys-manager.h
M	plugins/media-keys/msd-media-keys-plugin.c
M	plugins/media-keys/msd-media-keys-plugin.h
M	plugins/media-keys/msd-media-keys-window.c
M	plugins/media-keys/msd-media-keys-window.h
M	plugins/media-keys/test-media-keys.c
M	plugins/media-keys/test-media-window.c
M	plugins/mouse/msd-locate-pointer.c
M	plugins/mouse/msd-mouse-manager.c
M	plugins/mouse/msd-mouse-manager.h
M	plugins/mouse/msd-mouse-plugin.c
M	plugins/mouse/msd-mouse-plugin.h
M	plugins/mouse/msd-timeline.c
M	plugins/mouse/msd-timeline.h
M	plugins/smartcard/msd-smartcard-manager.c
M	plugins/smartcard/msd-smartcard-manager.h
M	plugins/smartcard/msd-smartcard-plugin.c
M	plugins/smartcard/msd-smartcard-plugin.h
M	plugins/smartcard/msd-smartcard.c
M	plugins/smartcard/msd-smartcard.h
M	plugins/sound/msd-sound-manager.c
M	plugins/sound/msd-sound-manager.h
M	plugins/sound/msd-sound-plugin.c
M	plugins/sound/msd-sound-plugin.h
M	plugins/typing-break/msd-typing-break-manager.c
M	plugins/typing-break/msd-typing-break-manager.h
M	plugins/typing-break/msd-typing-break-plugin.c
M	plugins/typing-break/msd-typing-break-plugin.h
M	plugins/xrandr/msd-xrandr-manager.c
M	plugins/xrandr/msd-xrandr-manager.h
M	plugins/xrandr/msd-xrandr-plugin.c
M	plugins/xrandr/msd-xrandr-plugin.h
M	plugins/xrdb/msd-xrdb-manager.c
M	plugins/xrdb/msd-xrdb-manager.h
M	plugins/xrdb/msd-xrdb-plugin.c
M	plugins/xrdb/msd-xrdb-plugin.h
M	plugins/xsettings/fontconfig-monitor.c
M	plugins/xsettings/fontconfig-monitor.h
M	plugins/xsettings/msd-xsettings-manager.c
M	plugins/xsettings/msd-xsettings-manager.h
M	plugins/xsettings/msd-xsettings-plugin.c
M	plugins/xsettings/msd-xsettings-plugin.h

commit 16897df7bf0e04b66dbfb81d156a5f16d976cc7d
Author: Nelson Marques <nmo.marques@gmail.com>
Date:	2012-10-11

    fix warning: assignment makes integer from pointer without a cast

M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c

commit d2c7965aa092cecb857bd0301b7c9ff2dc10f9f8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-10-01

    migrate to gsettings

M	configure.ac
M	data/Makefile.am
D	data/apps_mate_settings_daemon_housekeeping.schemas.in
D	data/apps_mate_settings_daemon_keybindings.schemas.in
D	data/apps_mate_settings_daemon_xrandr.schemas.in
D	data/desktop_mate_font_rendering.schemas.in
D	data/desktop_mate_keybindings.schemas.in
D	data/desktop_mate_peripherals_smartcard.schemas.in
D	data/desktop_mate_peripherals_touchpad.schemas.in
D	data/mate-settings-daemon.schemas.in
A	data/org.mate.SettingsDaemon.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.a11y-keyboard.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.background.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.clipboard.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.datetime.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.font.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.housekeeping.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.keyboard.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.mouse.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.smartcard.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.sound.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.typing-break.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.xrandr.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.xrdb.gschema.xml.in
A	data/org.mate.SettingsDaemon.plugins.xsettings.gschema.xml.in
A	data/org.mate.applications-at.gschema.xml.in
A	data/org.mate.font-rendering.gschema.xml.in
A	data/org.mate.keybindings.gschema.xml.in
A	data/org.mate.peripherals-smartcard.gschema.xml.in
A	data/org.mate.peripherals-touchpad.gschema.xml.in
M	mate-settings-daemon/main.c
M	mate-settings-daemon/mate-settings-manager.c
M	mate-settings-daemon/mate-settings-manager.h
M	mate-settings-daemon/mate-settings-manager.xml
M	mate-settings-daemon/mate-settings-plugin-info.c
M	mate-settings-daemon/mate-settings-plugin-info.h
M	plugins/Makefile.am
M	plugins/a11y-keyboard/msd-a11y-keyboard-manager.c
M	plugins/a11y-keyboard/msd-a11y-preferences-dialog.c
M	plugins/background/msd-background-manager.c
M	plugins/font/msd-font-manager.c
M	plugins/housekeeping/msd-disk-space.c
M	plugins/housekeeping/msd-housekeeping-manager.c
M	plugins/housekeeping/msd-ldsm-dialog.c
M	plugins/housekeeping/msd-ldsm-trash-empty.c
D	plugins/keybindings/Makefile.am
D	plugins/keybindings/keybindings.mate-settings-plugin.in
D	plugins/keybindings/msd-keybindings-manager.c
D	plugins/keybindings/msd-keybindings-manager.h
D	plugins/keybindings/msd-keybindings-plugin.c
D	plugins/keybindings/msd-keybindings-plugin.h
M	plugins/keyboard/modmap-dialog.ui
M	plugins/keyboard/msd-keyboard-manager.c
M	plugins/keyboard/msd-keyboard-xkb.c
M	plugins/keyboard/msd-keyboard-xkb.h
M	plugins/keyboard/msd-xmodmap.c
M	plugins/media-keys/acme.h
M	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.c
M	plugins/media-keys/msd-media-keys-manager.c
M	plugins/mouse/msd-mouse-manager.c
M	plugins/smartcard/msd-smartcard-plugin.c
M	plugins/sound/msd-sound-manager.c
M	plugins/typing-break/msd-typing-break-manager.c
M	plugins/xrandr/msd-xrandr-manager.c
M	plugins/xsettings/msd-xsettings-manager.c

commit 03478b4d1d9fdc5f2f2fdbf9c41d963dabc0d00b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-09-03

    port msd-housekeeping-manager.c to gsettings

M	plugins/housekeeping/msd-housekeeping-manager.c

commit c746b3efb2d203e987aa83d3423153d9556b7a11
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-08-21

    fix debug printing issue

M	mate-settings-daemon/main.c

commit 17091952e927961c3bf88e177a934f0629645202
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2012-08-04

    Revert "Micro-optimization." Wrong branch.

    This reverts commit 91f651c6f6f0ee7fdff1d49e36161d4e76e16e02.

M	plugins/media-keys/msd-media-keys-manager.c

commit 91f651c6f6f0ee7fdff1d49e36161d4e76e16e02
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2012-08-04

    Micro-optimization.

    do_multimedia_player_action did nothing more than call
    msd_media_player_key_pressed, which was pointless overhead.

M	plugins/media-keys/msd-media-keys-manager.c

commit 78afd1dac7239fab2c0a27284950326bd83c5eea
Merge: ab3d71f 6ab8ec3
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2012-07-26

    Merge pull request #11 from NiceandGently/master

    incorrect-fsf-address

commit 6ab8ec34b955b5ad2add1b069714ad02e76f4bad
Author: Nice&Gently <chat-to-me@raveit.de>
Date:	2012-07-26

    fix incorrect-fsf-address

M	mate-settings-daemon/mate-settings-plugin.h

commit ab3d71f413dc518591cca639df903e56ec83e6e8
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2012-07-10

    Preparing for 1.4 release.

M	ChangeLog
M	configure.ac

commit cd78e460a3f22eb9553f5c73b921e79c38278764
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-07-10

    sync translations with transifex

M	po/ar.po
M	po/et.po
M	po/eu.po
M	po/tr.po

commit 96445bc6c0985320b486e4ec61155d0a5edc6a38
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-07-10

    add po gnome copyrights file

A	po/gnome-copyrights.txt

commit d43c2a93701728947e0f4f96edda8631062282c0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-06-22

    fix missing gsd=>msd rename due to pull request

M	plugins/media-keys/msd-media-keys-manager.c

commit c70776f31ccd0551a7694ec4485ed26a0a53f9cd
Author: Perberos <perberos@gmail.com>
Date:	2012-06-05

    commenting "changed" callback, related with issue #16 on mate-desktop
    (https://github.com/mate-desktop/mate-desktop/issues/16)

M	plugins/background/msd-background-manager.c
M	plugins/background/test-background.c

commit d22aab3682bdd800f6a6e7c2a0ef6b6cfd8ffe03
Author: Perberos <perberos@gmail.com>
Date:	2012-06-05

    changing code format
    (http://imageshack.us/photo/my-images/9/254223656580e542a60a.jpg/)

M	plugins/background/msd-background-manager.c
M	plugins/background/msd-background-manager.h
M	plugins/background/msd-background-plugin.c
M	plugins/background/msd-background-plugin.h
M	plugins/background/test-background.c

commit 47ab5efee5617d8110b3942512e9370c9367ec89
Author: Perberos <perberos@sentey.localdomain>
Date:	2012-06-05

    removing autogenerated file

D	plugins/media-keys/libmedia-keys.la

commit 43e7752536e4c78693a5520b6562e2081e9bbc52
Merge: 2275e12 559fc8f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-05-03

    Merge pull request #5 from stefanct/master

    media-keys: fix the "calculator key"

commit 559fc8f95855dfe81dbafe9d3587b63cdec7b9dc
Author: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
Date:	2012-05-03

    media-keys: fix the "calculator key"

    try to find mate-calc, fall back to gcalctool if it is not found.

    Signed-off-by: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>

M	plugins/media-keys/msd-media-keys-manager.c

commit 2275e121531db04c158811cc06b04a63b6d05979
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-04-06

    remove .gitignore

D	.gitignore

commit f2acd50eb2525f6970dc1cf0e05060d3d3cc135d
Merge: ab58977 c96bc4e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-04-06

    Merge pull request #4 from benpicco/master

    sync with upstream

commit c96bc4ead7779af1617f505e1590ab8652242ad0
Author: Rodrigo Moya <rodrigo@mate-db.org>
Date:	2010-11-05

    housekeeping: Don't access free'd memory if a volume is unmounted
    whilst the dialog is displayed

M	plugins/housekeeping/msd-disk-space.c

commit 396265b9bf41b6331833a1938eb3e065e5928fe5
Author: Rodrigo Moya <rodrigo@mate-db.org>
Date:	2011-04-19

    media-keys: React to stream-removed signal from GvcMixerControl

M	plugins/media-keys/msd-media-keys-manager.c

commit 3b1fa7dde9b8fc7fe0b22c9385703a2d150cd643
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-05

    xrandr: Use Xorg monitor settings by default

    So as not to break the default behaviour.

M	data/apps_mate_settings_daemon_xrandr.schemas.in

commit a525db8f795d2101969a47f06c9fb6b60a497fb3
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:	2010-10-05

    RANDR - Add mateconf key for disabling boot time configuration

    In a lot of situations it is undesirable to have g-s-d change
    the XRandR
    settings, because it overrides X.org customizations, leads to
    unnecessary mode
    switches, or increases boot time.

    Add a mateconf key "use_xorg_monitor_settings" to disable
    apply_default_boot_configuration(), in which case the XRandR
    configuration will
    not be touched unless there is a global or per-user configuration
    file.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=631388
    Bug-Ubuntu: https://launchpad.net/bugs/640807

M	data/apps_mate_settings_daemon_xrandr.schemas.in
M	plugins/xrandr/msd-xrandr-manager.c

commit 60b0ab065772c3f109d7471c0d6d814d477f9803
Author: Gary Lin <glin@novell.com>
Date:	2010-10-29

    (randr) bnc#647304 - If the stored configuration fails at startup,
    use the fallback configurations

    Previously, if a stored configuration existed but it could not be
    applied due
    to nonmatching monitors, we would do nothing else - potentially
    leaving the user
    in whatever startup state was used by the X server.  Now, in that
    condition
    we simply fall back to trying the system-global configuration or
    the boot-time
    configuration.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	plugins/xrandr/msd-xrandr-manager.c

commit 5da7f7c6ef1e59bba1f3aa7fa24fcaa44187704e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-10-12

    Revert "Fix launching the display configuration tool"

    In 2.32, we still want to use mate-display-properties.

    This reverts commit 03112091d18ad0f9cc66b5f8835aadb1c47bc9ee.

M	plugins/xrandr/msd-xrandr-manager.c

commit 033a04ef9392b9d9bc5943ae592373c6dac96369
Author: Benjamin Valentin <benpicco@zedat.fu-berlin.de>
Date:	2012-03-16

    add .gitignore

A	.gitignore

commit ab589772234b8c89260bf10503df64bb2396070a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-02-28

    update for 1.2 release

M	AUTHORS
M	ChangeLog
D	MAINTAINERS
M	README
M	autogen.sh
M	configure.ac

commit 2466d4c04a33d8d81e92cea9bd8970f70401f126
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-02-28

    updated nl translation

M	po/nl.po

commit 53df40e0f61c25e078a76fc1a10e92597ce037cb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-02-28

    removed distro/ubuntu folder

D	distro/ubuntu/build
D	distro/ubuntu/postinst
D	distro/ubuntu/postrm
D	distro/ubuntu/preinst
D	distro/ubuntu/prerm

commit 2dfe3164d9f195b50e066def8e2a4782b5910c10
Merge: ecd8a15 e46b4ad
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-02-22

    Merge pull request #3 from haxar/master

    gsd to msd complete rename patch by NiceandGently

commit e46b4adef5c6c6805b3ca6dbfbe99a4299252514
Author: haxar <grezski@gmail.com>
Date:	2012-02-21

    gsd to msd complete rename patch by NiceandGently; file rename commit

R100	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.c
plugins/a11y-keyboard/msd-a11y-keyboard-manager.c
R100	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.h
plugins/a11y-keyboard/msd-a11y-keyboard-manager.h
R100	plugins/a11y-keyboard/gsd-a11y-keyboard-plugin.c
plugins/a11y-keyboard/msd-a11y-keyboard-plugin.c
R100	plugins/a11y-keyboard/gsd-a11y-keyboard-plugin.h
plugins/a11y-keyboard/msd-a11y-keyboard-plugin.h
R100	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.c
plugins/a11y-keyboard/msd-a11y-preferences-dialog.c
R100	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.h
plugins/a11y-keyboard/msd-a11y-preferences-dialog.h
R100	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.ui
plugins/a11y-keyboard/msd-a11y-preferences-dialog.ui
R100	plugins/background/gsd-background-manager.c
plugins/background/msd-background-manager.c
R100	plugins/background/gsd-background-manager.h
plugins/background/msd-background-manager.h
R100	plugins/background/gsd-background-plugin.c
plugins/background/msd-background-plugin.c
R100	plugins/background/gsd-background-plugin.h
plugins/background/msd-background-plugin.h
R100	plugins/clipboard/gsd-clipboard-manager.c
plugins/clipboard/msd-clipboard-manager.c
R100	plugins/clipboard/gsd-clipboard-manager.h
plugins/clipboard/msd-clipboard-manager.h
R100	plugins/clipboard/gsd-clipboard-plugin.c
plugins/clipboard/msd-clipboard-plugin.c
R100	plugins/clipboard/gsd-clipboard-plugin.h
plugins/clipboard/msd-clipboard-plugin.h
R100	plugins/common/gsd-keygrab.c	plugins/common/msd-keygrab.c
R100	plugins/common/gsd-keygrab.h	plugins/common/msd-keygrab.h
R100	plugins/common/gsd-osd-window.c plugins/common/msd-osd-window.c
R100	plugins/common/gsd-osd-window.h plugins/common/msd-osd-window.h
R100	plugins/datetime/gsd-datetime-mechanism-main.c
plugins/datetime/msd-datetime-mechanism-main.c
R100	plugins/datetime/gsd-datetime-mechanism.c
plugins/datetime/msd-datetime-mechanism.c
R100	plugins/datetime/gsd-datetime-mechanism.h
plugins/datetime/msd-datetime-mechanism.h
R100	plugins/datetime/gsd-datetime-mechanism.xml
plugins/datetime/msd-datetime-mechanism.xml
R100	plugins/dummy/gsd-dummy-manager.c
plugins/dummy/msd-dummy-manager.c
R100	plugins/dummy/gsd-dummy-manager.h
plugins/dummy/msd-dummy-manager.h
R100	plugins/dummy/gsd-dummy-plugin.c
plugins/dummy/msd-dummy-plugin.c
R100	plugins/dummy/gsd-dummy-plugin.h
plugins/dummy/msd-dummy-plugin.h
R100	plugins/font/gsd-font-manager.c plugins/font/msd-font-manager.c
R100	plugins/font/gsd-font-manager.h plugins/font/msd-font-manager.h
R100	plugins/font/gsd-font-plugin.c	plugins/font/msd-font-plugin.c
R100	plugins/font/gsd-font-plugin.h	plugins/font/msd-font-plugin.h
R100	plugins/housekeeping/gsd-disk-space.c
plugins/housekeeping/msd-disk-space.c
R100	plugins/housekeeping/gsd-disk-space.h
plugins/housekeeping/msd-disk-space.h
R100	plugins/housekeeping/gsd-housekeeping-manager.c
plugins/housekeeping/msd-housekeeping-manager.c
R100	plugins/housekeeping/gsd-housekeeping-manager.h
plugins/housekeeping/msd-housekeeping-manager.h
R100	plugins/housekeeping/gsd-housekeeping-plugin.c
plugins/housekeeping/msd-housekeeping-plugin.c
R100	plugins/housekeeping/gsd-housekeeping-plugin.h
plugins/housekeeping/msd-housekeeping-plugin.h
R100	plugins/housekeeping/gsd-ldsm-dialog.c
plugins/housekeeping/msd-ldsm-dialog.c
R100	plugins/housekeeping/gsd-ldsm-dialog.h
plugins/housekeeping/msd-ldsm-dialog.h
R100	plugins/housekeeping/gsd-ldsm-trash-empty.c
plugins/housekeeping/msd-ldsm-trash-empty.c
R100	plugins/housekeeping/gsd-ldsm-trash-empty.h
plugins/housekeeping/msd-ldsm-trash-empty.h
R100	plugins/keybindings/gsd-keybindings-manager.c
plugins/keybindings/msd-keybindings-manager.c
R100	plugins/keybindings/gsd-keybindings-manager.h
plugins/keybindings/msd-keybindings-manager.h
R100	plugins/keybindings/gsd-keybindings-plugin.c
plugins/keybindings/msd-keybindings-plugin.c
R100	plugins/keybindings/gsd-keybindings-plugin.h
plugins/keybindings/msd-keybindings-plugin.h
R100	plugins/keyboard/gsd-keyboard-manager.c
plugins/keyboard/msd-keyboard-manager.c
R100	plugins/keyboard/gsd-keyboard-manager.h
plugins/keyboard/msd-keyboard-manager.h
R100	plugins/keyboard/gsd-keyboard-plugin.c
plugins/keyboard/msd-keyboard-plugin.c
R100	plugins/keyboard/gsd-keyboard-plugin.h
plugins/keyboard/msd-keyboard-plugin.h
R100	plugins/keyboard/gsd-keyboard-xkb.c
plugins/keyboard/msd-keyboard-xkb.c
R100	plugins/keyboard/gsd-keyboard-xkb.h
plugins/keyboard/msd-keyboard-xkb.h
R100	plugins/keyboard/gsd-xmodmap.c	plugins/keyboard/msd-xmodmap.c
R100	plugins/keyboard/gsd-xmodmap.h	plugins/keyboard/msd-xmodmap.h
R100	plugins/media-keys/gsd-marshal.list
plugins/media-keys/msd-marshal.list
R100	plugins/media-keys/gsd-media-keys-manager.c
plugins/media-keys/msd-media-keys-manager.c
R100	plugins/media-keys/gsd-media-keys-manager.h
plugins/media-keys/msd-media-keys-manager.h
R100	plugins/media-keys/gsd-media-keys-manager.xml
plugins/media-keys/msd-media-keys-manager.xml
R100	plugins/media-keys/gsd-media-keys-plugin.c
plugins/media-keys/msd-media-keys-plugin.c
R100	plugins/media-keys/gsd-media-keys-plugin.h
plugins/media-keys/msd-media-keys-plugin.h
R100	plugins/media-keys/gsd-media-keys-window.c
plugins/media-keys/msd-media-keys-window.c
R100	plugins/media-keys/gsd-media-keys-window.h
plugins/media-keys/msd-media-keys-window.h
R100	plugins/mouse/gsd-locate-pointer.c
plugins/mouse/msd-locate-pointer.c
R100	plugins/mouse/gsd-locate-pointer.h
plugins/mouse/msd-locate-pointer.h
R100	plugins/mouse/gsd-mouse-manager.c
plugins/mouse/msd-mouse-manager.c
R100	plugins/mouse/gsd-mouse-manager.h
plugins/mouse/msd-mouse-manager.h
R100	plugins/mouse/gsd-mouse-plugin.c
plugins/mouse/msd-mouse-plugin.c
R100	plugins/mouse/gsd-mouse-plugin.h
plugins/mouse/msd-mouse-plugin.h
R100	plugins/mouse/gsd-timeline.c	plugins/mouse/msd-timeline.c
R100	plugins/mouse/gsd-timeline.h	plugins/mouse/msd-timeline.h
R100	plugins/smartcard/gsd-smartcard-manager.c
plugins/smartcard/msd-smartcard-manager.c
R100	plugins/smartcard/gsd-smartcard-manager.h
plugins/smartcard/msd-smartcard-manager.h
R100	plugins/smartcard/gsd-smartcard-plugin.c
plugins/smartcard/msd-smartcard-plugin.c
R100	plugins/smartcard/gsd-smartcard-plugin.h
plugins/smartcard/msd-smartcard-plugin.h
R100	plugins/smartcard/gsd-smartcard.c
plugins/smartcard/msd-smartcard.c
R100	plugins/smartcard/gsd-smartcard.h
plugins/smartcard/msd-smartcard.h
R100	plugins/sound/gsd-sound-manager.c
plugins/sound/msd-sound-manager.c
R100	plugins/sound/gsd-sound-manager.h
plugins/sound/msd-sound-manager.h
R100	plugins/sound/gsd-sound-plugin.c
plugins/sound/msd-sound-plugin.c
R100	plugins/sound/gsd-sound-plugin.h
plugins/sound/msd-sound-plugin.h
R100	plugins/typing-break/gsd-typing-break-manager.c
plugins/typing-break/msd-typing-break-manager.c
R100	plugins/typing-break/gsd-typing-break-manager.h
plugins/typing-break/msd-typing-break-manager.h
R100	plugins/typing-break/gsd-typing-break-plugin.c
plugins/typing-break/msd-typing-break-plugin.c
R100	plugins/typing-break/gsd-typing-break-plugin.h
plugins/typing-break/msd-typing-break-plugin.h
R100	plugins/xrandr/gsd-xrandr-16.png
plugins/xrandr/msd-xrandr-16.png
R100	plugins/xrandr/gsd-xrandr-22.png
plugins/xrandr/msd-xrandr-22.png
R100	plugins/xrandr/gsd-xrandr-24.png
plugins/xrandr/msd-xrandr-24.png
R100	plugins/xrandr/gsd-xrandr-32.png
plugins/xrandr/msd-xrandr-32.png
R100	plugins/xrandr/gsd-xrandr-manager.c
plugins/xrandr/msd-xrandr-manager.c
R100	plugins/xrandr/gsd-xrandr-manager.h
plugins/xrandr/msd-xrandr-manager.h
R100	plugins/xrandr/gsd-xrandr-manager.xml
plugins/xrandr/msd-xrandr-manager.xml
R100	plugins/xrandr/gsd-xrandr-plugin.c
plugins/xrandr/msd-xrandr-plugin.c
R100	plugins/xrandr/gsd-xrandr-plugin.h
plugins/xrandr/msd-xrandr-plugin.h
R100	plugins/xrandr/gsd-xrandr.svg	plugins/xrandr/msd-xrandr.svg
R100	plugins/xrdb/gsd-xrdb-manager.c plugins/xrdb/msd-xrdb-manager.c
R100	plugins/xrdb/gsd-xrdb-manager.h plugins/xrdb/msd-xrdb-manager.h
R100	plugins/xrdb/gsd-xrdb-plugin.c	plugins/xrdb/msd-xrdb-plugin.c
R100	plugins/xrdb/gsd-xrdb-plugin.h	plugins/xrdb/msd-xrdb-plugin.h
R100	plugins/xsettings/gsd-xsettings-manager.c
plugins/xsettings/msd-xsettings-manager.c
R100	plugins/xsettings/gsd-xsettings-manager.h
plugins/xsettings/msd-xsettings-manager.h
R100	plugins/xsettings/gsd-xsettings-plugin.c
plugins/xsettings/msd-xsettings-plugin.c
R100	plugins/xsettings/gsd-xsettings-plugin.h
plugins/xsettings/msd-xsettings-plugin.h

commit ddaceb232c8b537a7d29a9708928d3a3671b98e5
Author: haxar <grezski@gmail.com>
Date:	2012-02-21

    gsd to msd complete rename patch by NiceandGently; code changes commit

M	configure.ac
M	mate-settings-daemon/Makefile.am
M	mate-settings-daemon/main.c
M	mate-settings-daemon/mate-settings-manager.c
M	plugins/a11y-keyboard/Makefile.am
M	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.c
M	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.h
M	plugins/a11y-keyboard/gsd-a11y-keyboard-plugin.c
M	plugins/a11y-keyboard/gsd-a11y-keyboard-plugin.h
M	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.c
M	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.h
M	plugins/a11y-keyboard/test-a11y-preferences-dialog.c
M	plugins/background/Makefile.am
M	plugins/background/gsd-background-manager.c
M	plugins/background/gsd-background-manager.h
M	plugins/background/gsd-background-plugin.c
M	plugins/background/gsd-background-plugin.h
M	plugins/background/test-background.c
M	plugins/clipboard/Makefile.am
M	plugins/clipboard/gsd-clipboard-manager.c
M	plugins/clipboard/gsd-clipboard-manager.h
M	plugins/clipboard/gsd-clipboard-plugin.c
M	plugins/clipboard/gsd-clipboard-plugin.h
M	plugins/common/Makefile.am
M	plugins/common/gsd-keygrab.c
M	plugins/common/gsd-keygrab.h
M	plugins/common/gsd-osd-window.c
M	plugins/common/gsd-osd-window.h
M	plugins/datetime/Makefile.am
M	plugins/datetime/gsd-datetime-mechanism-main.c
M	plugins/datetime/gsd-datetime-mechanism.c
M	plugins/datetime/gsd-datetime-mechanism.h
M
plugins/datetime/org.mate.SettingsDaemon.DateTimeMechanism.service.in
M	plugins/dummy/Makefile.am
M	plugins/dummy/gsd-dummy-manager.c
M	plugins/dummy/gsd-dummy-manager.h
M	plugins/dummy/gsd-dummy-plugin.c
M	plugins/dummy/gsd-dummy-plugin.h
M	plugins/font/Makefile.am
M	plugins/font/gsd-font-manager.c
M	plugins/font/gsd-font-manager.h
M	plugins/font/gsd-font-plugin.c
M	plugins/font/gsd-font-plugin.h
M	plugins/housekeeping/Makefile.am
M	plugins/housekeeping/gsd-disk-space.c
M	plugins/housekeeping/gsd-disk-space.h
M	plugins/housekeeping/gsd-housekeeping-manager.c
M	plugins/housekeeping/gsd-housekeeping-manager.h
M	plugins/housekeeping/gsd-housekeeping-plugin.c
M	plugins/housekeeping/gsd-housekeeping-plugin.h
M	plugins/housekeeping/gsd-ldsm-dialog.c
M	plugins/housekeeping/gsd-ldsm-dialog.h
M	plugins/housekeeping/gsd-ldsm-trash-empty.c
M	plugins/housekeeping/gsd-ldsm-trash-empty.h
M	plugins/keybindings/Makefile.am
M	plugins/keybindings/gsd-keybindings-manager.c
M	plugins/keybindings/gsd-keybindings-manager.h
M	plugins/keybindings/gsd-keybindings-plugin.c
M	plugins/keybindings/gsd-keybindings-plugin.h
M	plugins/keyboard/Makefile.am
M	plugins/keyboard/delayed-dialog.c
M	plugins/keyboard/delayed-dialog.h
M	plugins/keyboard/gsd-keyboard-manager.c
M	plugins/keyboard/gsd-keyboard-manager.h
M	plugins/keyboard/gsd-keyboard-plugin.c
M	plugins/keyboard/gsd-keyboard-plugin.h
M	plugins/keyboard/gsd-keyboard-xkb.c
M	plugins/keyboard/gsd-keyboard-xkb.h
M	plugins/keyboard/gsd-xmodmap.c
M	plugins/keyboard/gsd-xmodmap.h
M	plugins/media-keys/Makefile.am
M	plugins/media-keys/acme.h
M	plugins/media-keys/gsd-media-keys-manager.c
M	plugins/media-keys/gsd-media-keys-manager.h
M	plugins/media-keys/gsd-media-keys-manager.xml
M	plugins/media-keys/gsd-media-keys-plugin.c
M	plugins/media-keys/gsd-media-keys-plugin.h
M	plugins/media-keys/gsd-media-keys-window.c
M	plugins/media-keys/gsd-media-keys-window.h
M	plugins/media-keys/test-media-keys.c
M	plugins/media-keys/test-media-window.c
M	plugins/mouse/Makefile.am
M	plugins/mouse/gsd-locate-pointer.c
M	plugins/mouse/gsd-locate-pointer.h
M	plugins/mouse/gsd-mouse-manager.c
M	plugins/mouse/gsd-mouse-manager.h
M	plugins/mouse/gsd-mouse-plugin.c
M	plugins/mouse/gsd-mouse-plugin.h
M	plugins/mouse/gsd-timeline.c
M	plugins/mouse/gsd-timeline.h
M	plugins/smartcard/Makefile.am
M	plugins/smartcard/gsd-smartcard-manager.c
M	plugins/smartcard/gsd-smartcard-manager.h
M	plugins/smartcard/gsd-smartcard-plugin.c
M	plugins/smartcard/gsd-smartcard-plugin.h
M	plugins/smartcard/gsd-smartcard.c
M	plugins/smartcard/gsd-smartcard.h
M	plugins/sound/Makefile.am
M	plugins/sound/gsd-sound-manager.c
M	plugins/sound/gsd-sound-manager.h
M	plugins/sound/gsd-sound-plugin.c
M	plugins/sound/gsd-sound-plugin.h
M	plugins/typing-break/Makefile.am
M	plugins/typing-break/gsd-typing-break-manager.c
M	plugins/typing-break/gsd-typing-break-manager.h
M	plugins/typing-break/gsd-typing-break-plugin.c
M	plugins/typing-break/gsd-typing-break-plugin.h
M	plugins/xrandr/Makefile.am
M	plugins/xrandr/gsd-xrandr-manager.c
M	plugins/xrandr/gsd-xrandr-manager.h
M	plugins/xrandr/gsd-xrandr-manager.xml
M	plugins/xrandr/gsd-xrandr-plugin.c
M	plugins/xrandr/gsd-xrandr-plugin.h
M	plugins/xrdb/Makefile.am
M	plugins/xrdb/gsd-xrdb-manager.c
M	plugins/xrdb/gsd-xrdb-manager.h
M	plugins/xrdb/gsd-xrdb-plugin.c
M	plugins/xrdb/gsd-xrdb-plugin.h
M	plugins/xsettings/Makefile.am
M	plugins/xsettings/gsd-xsettings-manager.c
M	plugins/xsettings/gsd-xsettings-plugin.c
M	po/POTFILES.in
M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/be@latin.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en@shaw.po
M	po/en_CA.po
M	po/en_GB.po
M	po/es.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/id.po
M	po/is.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kn.po
M	po/ko.po
M	po/ku.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/uk.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit ecd8a153901507f5d210d6f85103693ef81d49c3
Author: Perberos <perberos@gmail.com>
Date:	2012-01-30

    g_get_user_config_dir() would be better
    (https://github.com/mate-desktop/mate-panel/issues/8)

M	plugins/font/gsd-font-manager.c

commit eed429dc4b0c84be8c417f87bee1a25c14fdcb0f
Author: Perberos <perberos@gmail.com>
Date:	2012-01-30

    update version number on archlinux scripts

M	distro/archlinux/PKGBUILD

commit 2780dbb687aa51d8e882da0b6f6fc25fdc51a6a3
Author: Perberos <perberos@gmail.com>
Date:	2012-01-30

    set patch on archlinux script

M	distro/archlinux/PKGBUILD

commit 5ef77186f09411b243c59cd1288b15097f739ad1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-01-24

    prepare for 1.1.1 release

M	configure.ac
M	distro/archlinux/PKGBUILD
M	distro/ubuntu/build

commit 3084cf529195c19c00e6e2ddf7e8383b95235513
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-01-24

    fix typo (Unkown => Unknown), thanks lintian!

M	plugins/housekeeping/gsd-disk-space.c

commit abdc5ece08ead525084fb8ea4c220e75af0d0820
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-01-23

    fix typos

M	plugins/media-keys/cut-n-paste/Makefile.am
M	plugins/media-keys/gsd-media-keys-manager.c

commit 1f33cae3f78a674b5b1f06a00093305a9c47964c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-01-23

    fix media-keys/Makefile.am

M	plugins/media-keys/Makefile.am

commit 8f91d9b2cefd226c60234a6122b624ba65e7b424
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2012-01-22

    add support for gstreamer/alsa/oss instead of pulse for media-keys
    https://bugzilla.gnome.org/show_bug.cgi?id=571145
    patch stolen from debian:
    http://patch-tracker.debian.org/patch/series/view/gnome-settings-daemon/2.30.2-2+squeeze1/20_gstreamer.patch

M	configure.ac
M	plugins/media-keys/Makefile.am
M	plugins/media-keys/cut-n-paste/Makefile.am
A	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.c
A	plugins/media-keys/cut-n-paste/gvc-gstreamer-acme-vol.h
M	plugins/media-keys/gsd-media-keys-manager.c

commit 5c00322b3ea38a54d06e6390711dd49c31b77040
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2012-01-10

    Changed mate.gr.jp to gnome.gr.jp as requested in issue #86

M	po/ChangeLog
M	po/ja.po

commit d1be5765ca515b37e48e234392e19493d1c5d35f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2011-12-10

    fixed libmatekbd version

M	configure.ac

commit 1dcec899caafbaeeaeedd9245da14dcba249808d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:	2011-12-10

    updated version to 1.1.0

M	AUTHORS
M	configure.ac
M	distro/archlinux/PKGBUILD
M	distro/ubuntu/build

commit eb986a271cb90e22c42c5a789bf414987a3f22b1
Author: Perberos <perberos@gmail.com>
Date:	2011-12-08

    fixing issue with <Control> key at keybinding

M	plugins/common/eggaccelerators.c

commit 80bf2f97b9d1c11592c29836b3f960d788464987
Author: Perberos <perberos@gmail.com>
Date:	2011-12-08

    using .config instead of .mate2

M	plugins/font/gsd-font-manager.c

commit 283de05cf3b8bed9dcde9e80875b860520de392a
Author: Perberos <perberos@gmail.com>
Date:	2011-12-08

    GDK_DISPLAY() is deprecated

M	configure.ac
M	distro/archlinux/PKGBUILD
M	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.c
M	plugins/background/gsd-background-manager.c
M	plugins/common/gsd-keygrab.c
M	plugins/keyboard/gsd-keyboard-manager.c
M	plugins/keyboard/gsd-keyboard-xkb.c
M	plugins/keyboard/gsd-keyboard-xkb.h
M	plugins/media-keys/gsd-media-keys-manager.c
M	plugins/mouse/gsd-mouse-manager.c
M	plugins/xrdb/gsd-xrdb-manager.c

commit 81ea15d1ce166e69e7fff11c88e16c42d8db190d
Author: Perberos <perberos@gmail.com>
Date:	2011-12-03

    tabs vs spaces

M	configure.ac

commit 2b8ac94d2d4f1aa3090e186bb0ff9e5aed493e6c
Author: Perberos <perberos@gmail.com>
Date:	2011-12-03

    removing autogenerated files

D	INSTALL
D	Makefile.in
D	aclocal.m4
D	compile
D	config.guess
D	config.h.in
D	config.sub
D	data/Makefile.in
D	depcomp
D	install-sh
D	ltmain.sh
D	mate-settings-daemon/Makefile.in
D	missing
D	mkinstalldirs
D	plugins/Makefile.in
D	plugins/a11y-keyboard/Makefile.in
D	plugins/background/Makefile.in
D	plugins/clipboard/Makefile.in
D	plugins/common/Makefile.in
D	plugins/datetime/Makefile.in
D	plugins/dummy/Makefile.in
D	plugins/font/Makefile.in
D	plugins/housekeeping/Makefile.in
D	plugins/keybindings/Makefile.in
D	plugins/keyboard/Makefile.in
D	plugins/media-keys/Makefile.in
D	plugins/media-keys/cut-n-paste/Makefile.in
D	plugins/mouse/Makefile.in
D	plugins/smartcard/Makefile.in
D	plugins/sound/Makefile.in
D	plugins/typing-break/Makefile.in
D	plugins/xrandr/Makefile.in
D	plugins/xrdb/Makefile.in
D	plugins/xrdb/data/Makefile.in
D	plugins/xsettings/Makefile.in
D	po/Makefile.in.in

commit 782f63710d79023c0762279fbb147a518abf8caf
Author: Steve Zesch <stevezesch2@gmail.com>
Date:	2011-12-02

    Changed version numbers to 2011.12.01

M	configure.ac
M	distro/archlinux/PKGBUILD
M	distro/ubuntu/build

commit 505cabbd3036081f26586cabc64c26e7769c0ec9
Author: Perberos <perberos@gmail.com>
Date:	2011-12-01

    moving from https://github.com/perberos/mate-desktop-environment

A	AUTHORS
A	COPYING
A	COPYING.LIB
A	ChangeLog
A	INSTALL
A	MAINTAINERS
A	Makefile.am
A	Makefile.in
A	NEWS
A	README
A	acinclude.m4
A	aclocal.m4
A	autogen.sh
A	compile
A	config.guess
A	config.h.in
A	config.sub
A	configure.ac
A	data/50-accessibility.xml.in
A	data/Makefile.am
A	data/Makefile.in
A	data/apps_mate_settings_daemon_housekeeping.schemas.in
A	data/apps_mate_settings_daemon_keybindings.schemas.in
A	data/apps_mate_settings_daemon_xrandr.schemas.in
A	data/desktop_mate_font_rendering.schemas.in
A	data/desktop_mate_keybindings.schemas.in
A	data/desktop_mate_peripherals_smartcard.schemas.in
A	data/desktop_mate_peripherals_touchpad.schemas.in
A	data/mate-settings-daemon-uninstalled.pc.in
A	data/mate-settings-daemon.desktop.in.in
A	data/mate-settings-daemon.pc.in
A	data/mate-settings-daemon.schemas.in
A	data/org.mate.SettingsDaemon.service.in
A	depcomp
A	distro/archlinux/PKGBUILD
A	distro/archlinux/mate-settings-daemon.install
A	distro/ubuntu/build
A	distro/ubuntu/postinst
A	distro/ubuntu/postrm
A	distro/ubuntu/preinst
A	distro/ubuntu/prerm
A	install-sh
A	ltmain.sh
A	mate-settings-daemon/Makefile.am
A	mate-settings-daemon/Makefile.in
A	mate-settings-daemon/main.c
A	mate-settings-daemon/mate-settings-manager.c
A	mate-settings-daemon/mate-settings-manager.h
A	mate-settings-daemon/mate-settings-manager.xml
A	mate-settings-daemon/mate-settings-module.c
A	mate-settings-daemon/mate-settings-module.h
A	mate-settings-daemon/mate-settings-plugin-info.c
A	mate-settings-daemon/mate-settings-plugin-info.h
A	mate-settings-daemon/mate-settings-plugin.c
A	mate-settings-daemon/mate-settings-plugin.h
A	mate-settings-daemon/mate-settings-profile.c
A	mate-settings-daemon/mate-settings-profile.h
A	missing
A	mkinstalldirs
A	plugins/Makefile.am
A	plugins/Makefile.in
A	plugins/a11y-keyboard/Makefile.am
A	plugins/a11y-keyboard/Makefile.in
A	plugins/a11y-keyboard/a11y-keyboard.mate-settings-plugin.in
A	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.c
A	plugins/a11y-keyboard/gsd-a11y-keyboard-manager.h
A	plugins/a11y-keyboard/gsd-a11y-keyboard-plugin.c
A	plugins/a11y-keyboard/gsd-a11y-keyboard-plugin.h
A	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.c
A	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.h
A	plugins/a11y-keyboard/gsd-a11y-preferences-dialog.ui
A	plugins/a11y-keyboard/test-a11y-preferences-dialog.c
A	plugins/background/Makefile.am
A	plugins/background/Makefile.in
A	plugins/background/background.mate-settings-plugin.in
A	plugins/background/gsd-background-manager.c
A	plugins/background/gsd-background-manager.h
A	plugins/background/gsd-background-plugin.c
A	plugins/background/gsd-background-plugin.h
A	plugins/background/test-background.c
A	plugins/clipboard/Makefile.am
A	plugins/clipboard/Makefile.in
A	plugins/clipboard/clipboard.mate-settings-plugin.in
A	plugins/clipboard/gsd-clipboard-manager.c
A	plugins/clipboard/gsd-clipboard-manager.h
A	plugins/clipboard/gsd-clipboard-plugin.c
A	plugins/clipboard/gsd-clipboard-plugin.h
A	plugins/clipboard/list.c
A	plugins/clipboard/list.h
A	plugins/clipboard/xutils.c
A	plugins/clipboard/xutils.h
A	plugins/common/Makefile.am
A	plugins/common/Makefile.in
A	plugins/common/eggaccelerators.c
A	plugins/common/eggaccelerators.h
A	plugins/common/gsd-keygrab.c
A	plugins/common/gsd-keygrab.h
A	plugins/common/gsd-osd-window.c
A	plugins/common/gsd-osd-window.h
A	plugins/datetime/Makefile.am
A	plugins/datetime/Makefile.in
A	plugins/datetime/gsd-datetime-mechanism-main.c
A	plugins/datetime/gsd-datetime-mechanism.c
A	plugins/datetime/gsd-datetime-mechanism.h
A	plugins/datetime/gsd-datetime-mechanism.xml
A	plugins/datetime/org.mate.SettingsDaemon.DateTimeMechanism.conf
A
plugins/datetime/org.mate.SettingsDaemon.DateTimeMechanism.service.in
A
plugins/datetime/org.mate.settingsdaemon.datetimemechanism.policy.in
A	plugins/datetime/system-timezone.c
A	plugins/datetime/system-timezone.h
A	plugins/dummy/Makefile.am
A	plugins/dummy/Makefile.in
A	plugins/dummy/dummy.mate-settings-plugin.in
A	plugins/dummy/gsd-dummy-manager.c
A	plugins/dummy/gsd-dummy-manager.h
A	plugins/dummy/gsd-dummy-plugin.c
A	plugins/dummy/gsd-dummy-plugin.h
A	plugins/font/Makefile.am
A	plugins/font/Makefile.in
A	plugins/font/delayed-dialog.c
A	plugins/font/delayed-dialog.h
A	plugins/font/font.mate-settings-plugin.in
A	plugins/font/gsd-font-manager.c
A	plugins/font/gsd-font-manager.h
A	plugins/font/gsd-font-plugin.c
A	plugins/font/gsd-font-plugin.h
A	plugins/housekeeping/Makefile.am
A	plugins/housekeeping/Makefile.in
A	plugins/housekeeping/gsd-disk-space.c
A	plugins/housekeeping/gsd-disk-space.h
A	plugins/housekeeping/gsd-housekeeping-manager.c
A	plugins/housekeeping/gsd-housekeeping-manager.h
A	plugins/housekeeping/gsd-housekeeping-plugin.c
A	plugins/housekeeping/gsd-housekeeping-plugin.h
A	plugins/housekeeping/gsd-ldsm-dialog.c
A	plugins/housekeeping/gsd-ldsm-dialog.h
A	plugins/housekeeping/gsd-ldsm-trash-empty.c
A	plugins/housekeeping/gsd-ldsm-trash-empty.h
A	plugins/housekeeping/housekeeping.mate-settings-plugin.in
A	plugins/keybindings/Makefile.am
A	plugins/keybindings/Makefile.in
A	plugins/keybindings/gsd-keybindings-manager.c
A	plugins/keybindings/gsd-keybindings-manager.h
A	plugins/keybindings/gsd-keybindings-plugin.c
A	plugins/keybindings/gsd-keybindings-plugin.h
A	plugins/keybindings/keybindings.mate-settings-plugin.in
A	plugins/keyboard/Makefile.am
A	plugins/keyboard/Makefile.in
A	plugins/keyboard/delayed-dialog.c
A	plugins/keyboard/delayed-dialog.h
A	plugins/keyboard/gsd-keyboard-manager.c
A	plugins/keyboard/gsd-keyboard-manager.h
A	plugins/keyboard/gsd-keyboard-plugin.c
A	plugins/keyboard/gsd-keyboard-plugin.h
A	plugins/keyboard/gsd-keyboard-xkb.c
A	plugins/keyboard/gsd-keyboard-xkb.h
A	plugins/keyboard/gsd-xmodmap.c
A	plugins/keyboard/gsd-xmodmap.h
A	plugins/keyboard/kbd-capslock-off.png
A	plugins/keyboard/kbd-capslock-on.png
A	plugins/keyboard/kbd-numlock-off.png
A	plugins/keyboard/kbd-numlock-on.png
A	plugins/keyboard/kbd-scrolllock-off.png
A	plugins/keyboard/kbd-scrolllock-on.png
A	plugins/keyboard/keyboard.mate-settings-plugin.in
A	plugins/keyboard/modmap-dialog.ui
A	plugins/media-keys/Makefile.am
A	plugins/media-keys/Makefile.in
A	plugins/media-keys/acme.h
A	plugins/media-keys/acme.ui
A	plugins/media-keys/cut-n-paste/Makefile.am
A	plugins/media-keys/cut-n-paste/Makefile.in
A	plugins/media-keys/cut-n-paste/gvc-channel-map.c
A	plugins/media-keys/cut-n-paste/gvc-channel-map.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-card.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-card.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-control.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-control.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-event-role.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-sink-input.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-sink.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-sink.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-source-output.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-source.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-source.h
A	plugins/media-keys/cut-n-paste/gvc-mixer-stream.c
A	plugins/media-keys/cut-n-paste/gvc-mixer-stream.h
A	plugins/media-keys/gsd-marshal.list
A	plugins/media-keys/gsd-media-keys-manager.c
A	plugins/media-keys/gsd-media-keys-manager.h
A	plugins/media-keys/gsd-media-keys-manager.xml
A	plugins/media-keys/gsd-media-keys-plugin.c
A	plugins/media-keys/gsd-media-keys-plugin.h
A	plugins/media-keys/gsd-media-keys-window.c
A	plugins/media-keys/gsd-media-keys-window.h
A	plugins/media-keys/libmedia-keys.la
A	plugins/media-keys/media-keys.mate-settings-plugin
A	plugins/media-keys/media-keys.mate-settings-plugin.in
A	plugins/media-keys/test-media-keys.c
A	plugins/media-keys/test-media-window.c
A	plugins/media-keys/touchpad-disabled-16.png
A	plugins/media-keys/touchpad-disabled-22.png
A	plugins/media-keys/touchpad-disabled-24.png
A	plugins/media-keys/touchpad-disabled-32.png
A	plugins/media-keys/touchpad-disabled-48.png
A	plugins/media-keys/touchpad-disabled-template.svg
A	plugins/media-keys/touchpad-disabled.svg
A	plugins/media-keys/touchpad-enabled-16.png
A	plugins/media-keys/touchpad-enabled-22.png
A	plugins/media-keys/touchpad-enabled-24.png
A	plugins/media-keys/touchpad-enabled-32.png
A	plugins/media-keys/touchpad-enabled-48.png
A	plugins/media-keys/touchpad-enabled-template.svg
A	plugins/media-keys/touchpad-enabled.svg
A	plugins/mouse/Makefile.am
A	plugins/mouse/Makefile.in
A	plugins/mouse/gsd-locate-pointer.c
A	plugins/mouse/gsd-locate-pointer.h
A	plugins/mouse/gsd-mouse-manager.c
A	plugins/mouse/gsd-mouse-manager.h
A	plugins/mouse/gsd-mouse-plugin.c
A	plugins/mouse/gsd-mouse-plugin.h
A	plugins/mouse/gsd-timeline.c
A	plugins/mouse/gsd-timeline.h
A	plugins/mouse/mouse.mate-settings-plugin.in
A	plugins/smartcard/Makefile.am
A	plugins/smartcard/Makefile.in
A	plugins/smartcard/gsd-smartcard-manager.c
A	plugins/smartcard/gsd-smartcard-manager.h
A	plugins/smartcard/gsd-smartcard-plugin.c
A	plugins/smartcard/gsd-smartcard-plugin.h
A	plugins/smartcard/gsd-smartcard.c
A	plugins/smartcard/gsd-smartcard.h
A	plugins/smartcard/smartcard.mate-settings-plugin.in
A	plugins/sound/Makefile.am
A	plugins/sound/Makefile.in
A	plugins/sound/gsd-sound-manager.c
A	plugins/sound/gsd-sound-manager.h
A	plugins/sound/gsd-sound-plugin.c
A	plugins/sound/gsd-sound-plugin.h
A	plugins/sound/sound.mate-settings-plugin.in
A	plugins/typing-break/Makefile.am
A	plugins/typing-break/Makefile.in
A	plugins/typing-break/gsd-typing-break-manager.c
A	plugins/typing-break/gsd-typing-break-manager.h
A	plugins/typing-break/gsd-typing-break-plugin.c
A	plugins/typing-break/gsd-typing-break-plugin.h
A	plugins/typing-break/typing-break.mate-settings-plugin.in
A	plugins/xrandr/Makefile.am
A	plugins/xrandr/Makefile.in
A	plugins/xrandr/gsd-xrandr-16.png
A	plugins/xrandr/gsd-xrandr-22.png
A	plugins/xrandr/gsd-xrandr-24.png
A	plugins/xrandr/gsd-xrandr-32.png
A	plugins/xrandr/gsd-xrandr-manager.c
A	plugins/xrandr/gsd-xrandr-manager.h
A	plugins/xrandr/gsd-xrandr-manager.xml
A	plugins/xrandr/gsd-xrandr-plugin.c
A	plugins/xrandr/gsd-xrandr-plugin.h
A	plugins/xrandr/gsd-xrandr.svg
A	plugins/xrandr/xrandr.mate-settings-plugin.in
A	plugins/xrdb/Makefile.am
A	plugins/xrdb/Makefile.in
A	plugins/xrdb/data/Editres.ad
A	plugins/xrdb/data/Emacs.ad
A	plugins/xrdb/data/General.ad
A	plugins/xrdb/data/Makefile.am
A	plugins/xrdb/data/Makefile.in
A	plugins/xrdb/data/Motif.ad
A	plugins/xrdb/data/Tk.ad
A	plugins/xrdb/data/Xaw.ad
A	plugins/xrdb/gsd-xrdb-manager.c
A	plugins/xrdb/gsd-xrdb-manager.h
A	plugins/xrdb/gsd-xrdb-plugin.c
A	plugins/xrdb/gsd-xrdb-plugin.h
A	plugins/xrdb/xrdb.mate-settings-plugin.in
A	plugins/xsettings/Makefile.am
A	plugins/xsettings/Makefile.in
A	plugins/xsettings/fontconfig-monitor.c
A	plugins/xsettings/fontconfig-monitor.h
A	plugins/xsettings/gsd-xsettings-manager.c
A	plugins/xsettings/gsd-xsettings-manager.h
A	plugins/xsettings/gsd-xsettings-plugin.c
A	plugins/xsettings/gsd-xsettings-plugin.h
A	plugins/xsettings/xsettings-common.c
A	plugins/xsettings/xsettings-common.h
A	plugins/xsettings/xsettings-manager.c
A	plugins/xsettings/xsettings-manager.h
A	plugins/xsettings/xsettings.mate-settings-plugin.in
A	po/ChangeLog
A	po/LINGUAS
A	po/Makefile.in.in
A	po/POTFILES.in
A	po/POTFILES.skip
A	po/af.po
A	po/am.po
A	po/ar.po
A	po/as.po
A	po/ast.po
A	po/az.po
A	po/be.po
A	po/be@latin.po
A	po/bg.po
A	po/bn.po
A	po/bn_IN.po
A	po/br.po
A	po/bs.po
A	po/ca.po
A	po/ca@valencia.po
A	po/crh.po
A	po/cs.po
A	po/cy.po
A	po/da.po
A	po/de.po
A	po/dz.po
A	po/el.po
A	po/en@shaw.po
A	po/en_CA.po
A	po/en_GB.po
A	po/es.po
A	po/et.po
A	po/eu.po
A	po/fa.po
A	po/fi.po
A	po/fr.po
A	po/ga.po
A	po/gl.po
A	po/gu.po
A	po/he.po
A	po/hi.po
A	po/hr.po
A	po/hu.po
A	po/id.po
A	po/is.po
A	po/it.po
A	po/ja.po
A	po/ka.po
A	po/kn.po
A	po/ko.po
A	po/ku.po
A	po/lt.po
A	po/lv.po
A	po/mai.po
A	po/mg.po
A	po/mk.po
A	po/ml.po
A	po/mn.po
A	po/mr.po
A	po/ms.po
A	po/nb.po
A	po/nds.po
A	po/ne.po
A	po/nl.po
A	po/nn.po
A	po/nso.po
A	po/oc.po
A	po/or.po
A	po/pa.po
A	po/pl.po
A	po/pt.po
A	po/pt_BR.po
A	po/ro.po
A	po/ru.po
A	po/rw.po
A	po/si.po
A	po/sk.po
A	po/sl.po
A	po/sq.po
A	po/sr.po
A	po/sr@latin.po
A	po/sv.po
A	po/ta.po
A	po/te.po
A	po/th.po
A	po/tr.po
A	po/uk.po
A	po/vi.po
A	po/wa.po
A	po/xh.po
A	po/zh_CN.po
A	po/zh_HK.po
A	po/zh_TW.po
A	po/zu.po
